The OpenNET Project / Index page

[ новости /+++ | форум | wiki | теги | ]



"Qt 6 в Debian может оказаться без сопровождения"
Вариант для распечатки  
Пред. тема | След. тема 
Форум Разговоры, обсуждение новостей
Изначальное сообщение [ Отслеживать ]

"Qt 6 в Debian может оказаться без сопровождения"  +1 +/
Сообщение от opennews (?), 19-Авг-20, 12:09 
Текущие мэйнтейнеры пакетов с фреймворком Qt в Debian приняли решение своими силами не обеспечивать сопровождение следующей значительной ветки Qt 6, релиз которой запланирован на декабрь. При этом сопровождение прошлой ветки Qt 5 будет продолжено без изменений. Поставка Qt 6 в Debian будет обеспечена если найдутся новые сопровождающие, готовые на должном уровне обеспечить поддержку пакетов с новой веткой...

Подробнее: https://www.opennet.ru/opennews/art.shtml?num=53568

Ответить | Правка | Cообщить модератору

Оглавление

Сообщения [Сортировка по времени | RSS]


1. "Qt 6 в Debian может оказаться без сопровождения"  +20 +/
Сообщение от Димоныч (?), 19-Авг-20, 12:09 
О,я могу помочь!
Только я пока программировать не умею. Но ничего.
Ответить | Правка | Наверх | Cообщить модератору

3. "Qt 6 в Debian может оказаться без сопровождения"  +5 +/
Сообщение от пох. (?), 19-Авг-20, 12:15 
А программировать уметь и не надо. Но md-формат, кстати, придется освоить.

Ответить | Правка | Наверх | Cообщить модератору

5. "Qt 6 в Debian может оказаться без сопровождения"  –4 +/
Сообщение от Мишаня (??), 19-Авг-20, 12:15 
Так это тебе в мозиллу нужно идти, тебя там с радостью возьмут и будут платить сотни денег.
Ответить | Правка | К родителю #1 | Наверх | Cообщить модератору

45. "Qt 6 в Debian может оказаться без сопровождения"  +3 +/
Сообщение от Аноним (45), 19-Авг-20, 13:57 
Мозилла сокращает персонал.
Ответить | Правка | Наверх | Cообщить модератору

63. "Qt 6 в Debian может оказаться без сопровождения"  +12 +/
Сообщение от Мишаня (??), 19-Авг-20, 14:47 
Сокращает персонал айтишников, эффективные менеджеры и люди, которые не умеют программирование там еще нужны
Ответить | Правка | Наверх | Cообщить модератору

81. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Аноним (81), 19-Авг-20, 15:58 
Так может предоставишь пруф своим словам в виде свежей вакансии?
Ответить | Правка | Наверх | Cообщить модератору

138. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Аноним (138), 19-Авг-20, 19:23 
тебя на опеннете что ли забанили?!
Ответить | Правка | Наверх | Cообщить модератору

175. "Qt 6 в Debian может оказаться без сопровождения"  +2 +/
Сообщение от Мишаня (??), 19-Авг-20, 23:44 
> Так может предоставишь пруф своим словам в виде свежей вакансии?

Могу предоставить огроменную такую табличку с надписью "сарказм".

Ответить | Правка | К родителю #81 | Наверх | Cообщить модератору

203. "Qt 6 в Debian может оказаться без сопровождения"  +1 +/
Сообщение от Аноним (203), 20-Авг-20, 09:31 
Кто-то спутал мозиллу с майкрософт. Ведь людей (и не только, животных тоже), которые не умеют программировать с радостью берут именно туда.
Ответить | Правка | К родителю #5 | Наверх | Cообщить модератору

226. "Qt 6 в Debian может оказаться без сопровождения"  +1 +/
Сообщение от Аноним (226), 20-Авг-20, 22:25 
Так ведь немудрено спутать. mdn, msdn - попробуй отличи, да еще кнопки sd рядом, можно случайно нажать.
Ответить | Правка | Наверх | Cообщить модератору

6. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Васёк (?), 19-Авг-20, 12:18 
Ты главное побольше вопросов в irс задавай. Желательно, составленных искуственным интеллектом.
Ответить | Правка | К родителю #1 | Наверх | Cообщить модератору

43. Скрыто модератором  +1 +/
Сообщение от emg81 (ok), 19-Авг-20, 13:49 
Ответить | Правка | Наверх | Cообщить модератору

103. Скрыто модератором  +9 +/
Сообщение от zshfan (ok), 19-Авг-20, 17:21 
Ответить | Правка | Наверх | Cообщить модератору

131. Скрыто модератором  +6 +/
Сообщение от emg81 (ok), 19-Авг-20, 18:50 
Ответить | Правка | Наверх | Cообщить модератору

169. Скрыто модератором  +1 +/
Сообщение от hardlooker (?), 19-Авг-20, 22:07 
Ответить | Правка | К родителю #103 | Наверх | Cообщить модератору

237. Скрыто модератором  +/
Сообщение от Michael Shigorinemail (ok), 23-Авг-20, 14:24 
Ответить | Правка | Наверх | Cообщить модератору

17. "Qt 6 в Debian может оказаться без сопровождения"  +5 +/
Сообщение от Иван (??), 19-Авг-20, 12:36 
Помоги финансово
Ответить | Правка | К родителю #1 | Наверх | Cообщить модератору

44. "Qt 6 в Debian может оказаться без сопровождения"  +4 +/
Сообщение от Аноним (44), 19-Авг-20, 13:56 
Им уже помогали, но бабки все на привлечение женщин спустили. Debian Women Project давно у них. Вот теперь имеем результат.
Ответить | Правка | Наверх | Cообщить модератору

204. "Qt 6 в Debian может оказаться без сопровождения"  +1 +/
Сообщение от Аноним (203), 20-Авг-20, 09:34 
Пусть теперь сами себя финансируют.
Ответить | Правка | Наверх | Cообщить модератору

58. "Qt 6 в Debian может оказаться без сопровождения"  –1 +/
Сообщение от Аноним (58), 19-Авг-20, 14:24 
Не переживай, программировать и не нужно уметь, главное смузи хлебать не забывай..
Ответить | Правка | К родителю #1 | Наверх | Cообщить модератору
Часть нити удалена модератором

170. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от пох. (?), 19-Авг-20, 22:16 
> В вашей деревне искаженное представление об ITшниках.
> В моей реальности больше пивасик попивают и катаются на электросамокатах.

Все правильно - в твоей деревне, как и везде, старики одни остались. С гироскутером не в ладах, только на самокате еще как-то.

И ты, дед, перебирайся уже в город. Смузи пить научишься не закусывая, бороденку в барбершопе завьют и отбелят, седина не будет видна!
А там, глядишь, программировать на markdown начнешь...

Ответить | Правка | К родителю #44 | Наверх | Cообщить модератору

164. "Qt 6 в Debian может оказаться без сопровождения"  +6 +/
Сообщение от Satori (ok), 19-Авг-20, 21:30 
Фрактал им в помощь!
Ответить | Правка | К родителю #1 | Наверх | Cообщить модератору

2. "Qt 6 в Debian может оказаться без сопровождения"  +2 +/
Сообщение от Аноним (2), 19-Авг-20, 12:14 
Печально. Хотя вон у Neptune, Netrunner и пр. есть время и ресурсы. Эх, объединить бы как-то их усилия...
Ответить | Правка | Наверх | Cообщить модератору

141. "Qt 6 в Debian может оказаться без сопровождения"  +3 +/
Сообщение от Аноним (138), 19-Авг-20, 19:38 
В мире альтернативно ориентированных это невозможно. Каждый начинает копать себе свою песочницу, ибо чужой код обладает фатальным недостатком: "его писали не мы". Вот поэтому как тараканы плодятся версии Qt, вылупились системда, вейленды... А софта как не было, так и нет. А что есть - это наследие прошлого, которое стараются выбросить и написать вместо него ещё одну версию Qt.
Ответить | Правка | Наверх | Cообщить модератору

144. "Qt 6 в Debian может оказаться без сопровождения"  –1 +/
Сообщение от Аноним (144), 19-Авг-20, 19:46 
А что не так с кутями? Емнип, там в 5 совместимость со 2 версией (и с минимальными затратами такой код портируется). Как и остальное. Перепутали видимо с гтк и гномом. Если бы вы использовали старые версии тулкитов, и новые версии тулкитов, такой дичи бы не сообщали (скорее всего).
Ответить | Правка | Наверх | Cообщить модератору

166. "Qt 6 в Debian может оказаться без сопровождения"  –1 +/
Сообщение от Аноним (138), 19-Авг-20, 21:56 
> в 5 совместимость со 2 версией

Очень интересно, продолжай рассказывать сказки.

Ответить | Правка | Наверх | Cообщить модератору

171. "Qt 6 в Debian может оказаться без сопровождения"  +1 +/
Сообщение от Аноним (144), 19-Авг-20, 23:01 
Ой, да ладно. Это "совместимость", конечно, и с небольшими костылями (штатными), но факт остаётся -- по принципу гтк там ничего не переписывали. Только выкидывали целиком, да, но если говорить о qtcore это так, а настоящая совместимость там на -2 версии. Но такой код будет не очень хороший. Какие могут быть сомнения? Там по 20 лет тащат legacy/deprecated как намёк на то, что пора бы и переписать.
Ответить | Правка | Наверх | Cообщить модератору

7. "Qt 6 в Debian может оказаться без сопровождения"  –33 +/
Сообщение от Аноним (7), 19-Авг-20, 12:20 
Пакетные менеджеры - основной минус линукса и одна из основных причин его непопулярности.
Почему - читайте новость.
Ответить | Правка | Наверх | Cообщить модератору

8. "Qt 6 в Debian может оказаться без сопровождения"  +7 +/
Сообщение от Аноним (7), 19-Авг-20, 12:22 
Собственно, вся суть идеи пакетных менеджеров и их мейнтейнеров.
Поддерживать пакеты должны разработчики.
Ответить | Правка | Наверх | Cообщить модератору

27. "Qt 6 в Debian может оказаться без сопровождения"  +4 +/
Сообщение от Crazy Alex (ok), 19-Авг-20, 12:44 
Некоторые не понимают, что дистрибутив - это не просто куча пакетов. Нет никакого смысла в "поддержке" приложения без учёта инфраструктуры вокруг негою
Ответить | Правка | Наверх | Cообщить модератору

38. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Теща (?), 19-Авг-20, 13:16 
Смотрит на Арч: йой, най буде.
Ответить | Правка | Наверх | Cообщить модератору

40. "Qt 6 в Debian может оказаться без сопровождения"  +10 +/
Сообщение от zzz (??), 19-Авг-20, 13:33 
Наплодили 100500 дистрибутивов Поповы, а поддерживать этот зоопарк должны разработчики. Это ты хорошо придумал.
Ответить | Правка | К родителю #8 | Наверх | Cообщить модератору

140. "Qt 6 в Debian может оказаться без сопровождения"  +1 +/
Сообщение от Аноним (140), 19-Авг-20, 19:37 
В целом есть стандарт куда класть файлы, а остальное должен обеспечивать дистрибутив.
Я думаю, что должен быть какой-то универсальный API для пакетов, но тогда непонятно
нахрена нужны все разновижности систем поставки.
Ответить | Правка | Наверх | Cообщить модератору

154. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Аноним (154), 19-Авг-20, 20:55 
От разработчика нужно exe deb rpm appimage на гитхабе и исходники для сборщиков дистр-ов, тогда будет выбор новенькое или протестированное поставить
Ответить | Правка | К родителю #40 | Наверх | Cообщить модератору

115. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Аноним (115), 19-Авг-20, 17:58 
Вот Qt Company и поддерживает. За деньги.
Ответить | Правка | К родителю #8 | Наверх | Cообщить модератору

14. "Qt 6 в Debian может оказаться без сопровождения"  –2 +/
Сообщение от Аноним (14), 19-Авг-20, 12:32 
Чуть собачья. Дебьян давно загибаться начал, как приняли s-d и из совета директоров начались массовые увольнения. Прекращение поддержки Qt просто ещё один гвозь в крышку гроба дебьяна.
Ответить | Правка | К родителю #7 | Наверх | Cообщить модератору

23. "Qt 6 в Debian может оказаться без сопровождения"  +3 +/
Сообщение от Анонимemail (23), 19-Авг-20, 12:41 
Все загибается и загибается. Никак не загнется только почему-то. Как сидел на нем, так и сижу, никаких проблем.
Ответить | Правка | Наверх | Cообщить модератору

37. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Аноним (44), 19-Авг-20, 13:15 
Да, я тоже вон 6-й запустил, тоже никаких проблем. Работает, грузится. Когда же он загнётся?
Ответить | Правка | Наверх | Cообщить модератору

89. "Qt 6 в Debian может оказаться без сопровождения"  –2 +/
Сообщение от Аноним (144), 19-Авг-20, 16:35 
Так и не так давно он полетел под откос, ну вот примерно с распространением убанты и понеслось. Любые монструозные образования умирают очень долго: любители погреть ручки будут пинать до последнего, а потом ещё оживят и продолжат пинать.
Ответить | Правка | К родителю #23 | Наверх | Cообщить модератору

105. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Анонимemail (23), 19-Авг-20, 17:27 
> ну вот примерно с распространением убанты и понеслось

да никуда ничего не понеслось. Вполне себе сосуществуют. Для хомячков - убунта, для нормальных людей - деб.

Ответить | Правка | Наверх | Cообщить модератору

111. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Аноним (144), 19-Авг-20, 17:50 
Уже давно дебиан паразитирует на убанте, а не наоборот. Это ли не показатель? Про хомячков достаточно прохладно, любой выберет продукт который хотя бы между релизами не делает мозги, и чем меньше возни, тем лучше. Из альтернатив этому только роллинг.
Ответить | Правка | Наверх | Cообщить модератору

151. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Анонимemail (23), 19-Авг-20, 20:37 
Что-то я без всякой возни с 9 на 10 обновился... Наверно, что-то не так сделал.
Ответить | Правка | Наверх | Cообщить модератору

114. "Qt 6 в Debian может оказаться без сопровождения"  –1 +/
Сообщение от asdasd (?), 19-Авг-20, 17:56 
Только вот у Ubuntu есть PPA, в котором есть куча доп. пакетов.
Ответить | Правка | К родителю #105 | Наверх | Cообщить модератору

149. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Анонимemail (23), 19-Авг-20, 20:35 
Как же ж я живу-то на Дебе без этих PPA, непонятно кем собранных. И без Каноникла с Шаттлвротом, у которых то юнити, то мир, то еще какая-нибудь фигня, то они амазоны с мордокнигами в дистриб пихают...
Ответить | Правка | Наверх | Cообщить модератору

224. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Sinot (ok), 20-Авг-20, 19:38 
А куда в демьяне PPA делся то?
Ответить | Правка | К родителю #114 | Наверх | Cообщить модератору

19. "Qt 6 в Debian может оказаться без сопровождения"  +11 +/
Сообщение от Анонимemail (23), 19-Авг-20, 12:40 
> Пакетные менеджеры - основной минус линукса

Конечно, гораздо удобнее искать крякнутый софт по всему Интернету.

Ответить | Правка | К родителю #7 | Наверх | Cообщить модератору

61. "Qt 6 в Debian может оказаться без сопровождения"  –4 +/
Сообщение от zzz (??), 19-Авг-20, 14:44 
Как будто крякнутый софт чем-то отличается от софта из левых реп. Хотя да, конечно же, отличается (;
Ответить | Правка | Наверх | Cообщить модератору

72. "Qt 6 в Debian может оказаться без сопровождения"  +1 +/
Сообщение от Аноним (72), 19-Авг-20, 15:36 
У дистрибутива нет левых реп, их использует пользователь на свой страх и риск, это не обязательно.
Ответить | Правка | Наверх | Cообщить модератору

191. "Qt 6 в Debian может оказаться без сопровождения"  –1 +/
Сообщение от zzz (??), 20-Авг-20, 01:51 
Ну так и кряковарез пользователь ставит на свой страх и риск. А как в линуксе "не обязательно" - это ты расскажи центосникам, сусечникам, бубунтоводам, а то мужики-то и не знали, что подключать репы - не обязательно.
Ответить | Правка | Наверх | Cообщить модератору

254. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Викодин (?), 27-Авг-20, 01:29 
У Росы нет левых реп.
Ответить | Правка | К родителю #72 | Наверх | Cообщить модератору

107. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Анонимemail (23), 19-Авг-20, 17:29 
А кто-то заставляет всякую какашку в систему тащить? А в винде без этого не выживешь. Нужен графический редактор - лезешь на торренты, нужен матпакет - лезешь на торренты. Да за всем лезешь на торренты, чего в саму винду мелкомягкие положить не догадались.
Ответить | Правка | К родителю #61 | Наверх | Cообщить модератору

190. "Qt 6 в Debian может оказаться без сопровождения"  –1 +/
Сообщение от zzz (??), 20-Авг-20, 01:48 
Что значит "не выживешь"? Купил софт, поставил - он работает. Вне зависимости от того, 10-ка стоит на компе или 7-ка. Вот что значит грамотный дизайн. А не как у некоторых, три года прошло - всё, у нас новый дистр, новые либы, конпелюуйте заново.
Ответить | Правка | Наверх | Cообщить модератору

195. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Анонимemail (23), 20-Авг-20, 07:33 
Ну купи Фотошоп или Матлаб. Ценник-то видел?
Ответить | Правка | Наверх | Cообщить модератору

235. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Аноним (235), 22-Авг-20, 09:07 
Переехал из РФ в цивилизацию, пришлось забыть про торренты. Три года полет нормальный, все стоит лицензионное и стоит копейки.

ОЕМ ключ от десятки стоит на ебее 4 бакса, все проверки проходит, в мс стор пускает.

Фотошоп+лайтрум подписка стоит 5 баксов в месяц. На фоне айти зарплат в 10k$+ это просто жалкий чих.

Игры все из стима тоже нельзя сказать что дорого раз в месяц купить парочку в сумме баксов на сто.

Подписка на нетфликс тоже пять баксов в месяц. А это анлим сериалы и фильмы, по трекерам искать не надо.

Итого домашний комп чистый, все лицензионное, никаких кряков и троянов, линукс смысла не имеет.

Ответить | Правка | Наверх | Cообщить модератору

250. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Анонимemail (23), 25-Авг-20, 07:05 
А, ну тогда мы закрываем РФ и едем к вам.
Ответить | Правка | Наверх | Cообщить модератору

252. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Анонимemail (23), 25-Авг-20, 07:20 
И да, Линукс все-таки смысл имеет, поскольку винда - кривая, тормозная, неудобная и дырявая поделка, которую после XP можно отправить на свалку истории. В игры играть пойдет, но и только, работать в ней невозможно.
Ответить | Правка | К родителю #235 | Наверх | Cообщить модератору

255. "Qt 6 в Debian может оказаться без сопровождения"  +1 +/
Сообщение от Викодин (?), 27-Авг-20, 01:32 
На фоне аренды маленькой комнатушки, вы хотели сказать.
Ответить | Правка | К родителю #235 | Наверх | Cообщить модератору

62. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от iLex (ok), 19-Авг-20, 14:45 
Зато этот софт хотя бы последней версии. А в Linux если хочешь что-то поновее мамонтовых окаменелостей, что лежат в репе, то будь добр перетряхнуть весь Github в поисках исходников. А потом потратить пару вечеров, чтоб суметь это собрать. А если нужно пересобрать что-то крупное вроде того же Qt, так беги в магазин за нормальной машиной, хотя бы 16Гб памяти чтоб было и подходящий проц.
Ответить | Правка | К родителю #19 | Наверх | Cообщить модератору

73. "Qt 6 в Debian может оказаться без сопровождения"  +1 +/
Сообщение от Аноним (72), 19-Авг-20, 15:39 
> А в Linux если хочешь что-то поновее

Вы не единственный человек в мире которому понадобилась эта новая версия, неужели вы правда думаете что ни в одном дистрибутиве не придумали решения этой проблемы?

Ответить | Правка | Наверх | Cообщить модератору

110. "Qt 6 в Debian может оказаться без сопровождения"  +1 +/
Сообщение от freehckemail (ok), 19-Авг-20, 17:35 
> Вы не единственный человек в мире которому понадобилась эта новая версия, неужели вы правда думаете что ни в одном дистрибутиве не придумали решения этой проблемы?

Вероятно, человек просто не слышал о таких вещах, как:
- бэкпорты
- репозитории разработчиков
- контейнеры
- дистрибутивы с роллинг-релизом

Ответить | Правка | Наверх | Cообщить модератору

121. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Аноним (115), 19-Авг-20, 18:16 
Решение проблемы одно:

> Qt имеет очень большой объём кода, для сопровождения которого требуется много ... <выделено жирным> ресурсов для сборки</выделено жирным>

Теперь простым русским языком: у Дебиана стало не хватать денег, чтобы заплатить за сборку раздутых пакетов. Потому что бинарные пакеты все любят, а платить за их сборку никто не любит и не все это могут себе позволить.

Раздутых пакетов умышленно раздуваемых разрабами - потому что иначе их компания будет не нужна - можно и старыми сборками довольствоваться до конца вселенной, только пересобирать их за счёт дебиана. Кто в здравом уме будет платить Qt Company за бинарные сборки Qt, если каждый сможет их сделать сам или скачать у Дебиана? А если допустим смогут, то Qt Company умрёт, а с ней и Qt умрёт. Она ведь не от хорошей жизни непопулярные шаги делает. Видимо Qt 6 получился очень жирным и сложным и будет ей дорого обходиться, но иного пути развития для проекта нет.

Аналогично с телефонами. Если каждый сможет собрать для своего телефона сборку прошивки, или хотя бы скачать её, то компании  просто уйдут с этой операционной системы туда, где им дают больше контроля над пользователями. Новых телефонов под неё не будет и она умрёт.

Обобщаю: СПО не может решить проблему того, что проекту нужны деньги на развитие в условиях, когда никто не хочет платить. Поэтому все проекты, перешагнувшие их предел затрат на разработку, уходят от СПО в проприетарь. На проприетарь хотя-бы лицензии продавать можно.

Ответить | Правка | К родителю #73 | Наверх | Cообщить модератору

215. "Qt 6 в Debian может оказаться без сопровождения"  –1 +/
Сообщение от Анончик99999 (?), 20-Авг-20, 11:41 
Человек высше не знает и не понимает, что теперь есть Flatpack, Snap, AppImage, которые позволяют использовать софт самых свежих версий и необходимость пересобирать или подключать сторонние репозитории почти отпала. Например, вот помню, когда вышел LibreOffice 7.0, так на второй день после релиза он тихо обновился в фоне и работаешь.
Ответить | Правка | К родителю #73 | Наверх | Cообщить модератору

221. "Qt 6 в Debian может оказаться без сопровождения"  +1 +/
Сообщение от microsoft (?), 20-Авг-20, 16:46 
Ну да, лишние небезопасные прослойки жрущие память, спасибо, не нужно
Ответить | Правка | Наверх | Cообщить модератору

90. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Вкусная водочка (ok), 19-Авг-20, 16:40 
> А в Linux если хочешь что-то поновее мамонтовых окаменелостей, что лежат в репе, то будь добр перетряхнуть весь Github в поисках исходников

Ну да... А можно просто использовать Арч, где всё новое. А если чего-то не хватает, есть AUR.

Ответить | Правка | К родителю #62 | Наверх | Cообщить модератору

95. "Qt 6 в Debian может оказаться без сопровождения"  –1 +/
Сообщение от Аноним (95), 19-Авг-20, 16:48 
В этом году в школу первого сентября идёте?
Ответить | Правка | Наверх | Cообщить модератору

108. "Qt 6 в Debian может оказаться без сопровождения"  +2 +/
Сообщение от Анонимemail (23), 19-Авг-20, 17:32 
Для начала: а зачем вам софт самой наипоследнейшей версии? У меня в дебе стоит FF 68 и норм, ядро 4.9, emacs 26... Можно юзать unstable, но зачем, если и так все работает.
Когда-то тоже гонялся за свежатинкой, потом повзрослел и пришло понимание, что лишнее это все, если и так работает.
Ответить | Правка | К родителю #62 | Наверх | Cообщить модератору

122. "Qt 6 в Debian может оказаться без сопровождения"  –1 +/
Сообщение от Аноним (115), 19-Авг-20, 18:21 
>ядро 4.9

А чё не 2.6.27?

Ответить | Правка | Наверх | Cообщить модератору

136. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Аноним (136), 19-Авг-20, 19:04 
4.9 LTS, до сих пор обновляется и еще пару лет будет.
Ответить | Правка | Наверх | Cообщить модератору

137. "Qt 6 в Debian может оказаться без сопровождения"  +1 +/
Сообщение от Аноним (137), 19-Авг-20, 19:09 
А в чем собственно проблема? 4.9 - одна из актуальных веток ядра - https://www.kernel.org/
Ответить | Правка | К родителю #122 | Наверх | Cообщить модератору

146. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Аноним (146), 19-Авг-20, 19:50 
Анон уважать не будет
Ответить | Правка | Наверх | Cообщить модератору

153. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Анонимemail (23), 19-Авг-20, 20:46 
А чтоб ты спросил
Ответить | Правка | К родителю #122 | Наверх | Cообщить модератору

93. "Qt 6 в Debian может оказаться без сопровождения"  +1 +/
Сообщение от Ананасик (?), 19-Авг-20, 16:44 
>искать крякнутый софт по всему Интернету.

Не напоминая мне моё виндоюзерское прошлое. Аж чуть тошно не стало.

Ответить | Правка | К родителю #19 | Наверх | Cообщить модератору

24. "Qt 6 в Debian может оказаться без сопровождения"  +1 +/
Сообщение от Михаил Павлович (?), 19-Авг-20, 12:42 
Пакетные менеджеры - это очень хорошая идея. Централизованный проверенный источник приложений. Главным недостатком линукса есть его зоопарк, каждый дистрибутив вынужден пилить свои репозитории своими силами. В итоге получаем, что в разных дистрах пакеты разные, по-разному собраны, разных версий. Софт-то есть, но его пакета под отдельно взятый дистрибутив может и не быть. Сейчас дальше всех убежала Canonical со своим snap. Они и первые сделают из него коммерческую площадку и начнут деньги получить с его помощью, даже комиссию введут в 29%(ну не 30% же, это ж не гугл). К сожалению, будущее за этим. Стандартные пакетные менеджеры будут, но всё больше юзеров с течением времени перейдет на иные способы получения ПО, вроде snap или даже может быть(если ну очень всё хорошо будет(хотя слабо верится(очень слабо(крайне слабо)))) flatpak.
Ответить | Правка | К родителю #7 | Наверх | Cообщить модератору

29. "Qt 6 в Debian может оказаться без сопровождения"  +2 +/
Сообщение от Аноним (29), 19-Авг-20, 12:52 
> Пакетные менеджеры - это очень хорошая идея

Там надо было добавить "в текущем виде", мой провтык. В целом да, это хорошая идея, если бы была хорошая реализация.

> Сейчас дальше всех убежала Canonical со своим snap

И снап, и флат пока оочень далеки до идеала
Хотелось бы что-то похожее на карго (жонглирование с разными версиями зависимостей, например), и чтоб было дефолтом в дистрах как Пёттеринг
А в Каноникал после провала Юнити 8 уже не верится. Они опоздали быть истинным дефолтом, да и слишком слабы для этого, при всем уважении

> даже комиссию введут в 29%

Не думаю, что они станут тем дефолтом, который сможет это сделать.
И флат тоже не станет, по крайней мере в текущем виде

Ответить | Правка | Наверх | Cообщить модератору

41. "Qt 6 в Debian может оказаться без сопровождения"  +5 +/
Сообщение от Михаил Павлович (?), 19-Авг-20, 13:40 
Flatpak - это провал, имхо. Идея хорошая, но реализация как всегда. Снап тоже говнище. Но! Canonical предусмотрительно не введа поддержку сторонних репозиториев для snap, соответственно имеем ОДИН репозиторий ПОЛНОСТЬЮ контролируемый Canonical. Что это значит? А это значит то, что после достижение критической массы, т.е. после того, как snap станет реально популярным и востребованным среди разработчиков - опа, тут же будем видеть небольшие, но всё-таки изминения условий, ужесточение правил, комиссия и т.п. Но при этом, есть все шансы, что благодаря snap и Canonical Linux наконец станет коммерчески интересен производителям десктопного софта. Сейчас же, делать коммерческий софт под линуксы просто анриал сложно. Непонятно под какой дистрибутив его делать, непонятно как его распространять, непонятно как тестировать. Вариант вроде собрать .deb или .rpm сомнительный, учесть весь зоопарк нереально, а держать штат мейнтейнеров под все популярные дистрибутивы - бред же.

Во многом, из-за проблемы дистрибьюции софта, десктопный линукс мертв. То, что мы ставим на десктопы, это совсем не тот уровень. Мне тяжело это признавать, но мы все должны что-то с этим делать. Комьюнити не в состоянии поддерживать и оперировать столь сложными процессами. Этим должна заниматься крупная коммерческая компания, которой ну очень интересно чтобы ИХ линукс стал той самой 3-й ос, о совместимости с которой будут кричать разрабы какого-нибуть проф. софта.

Ответить | Правка | Наверх | Cообщить модератору

49. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от лютый жабби__ (?), 19-Авг-20, 14:01 
>Вариант вроде собрать .deb или .rpm сомнительный, учесть весь зоопарк нереально, а держать штат мейнтейнеров под все популярные дистрибутивы - бред же

Бред это как раз snap. А адекват: rpm+deb.

Ответить | Правка | Наверх | Cообщить модератору

53. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Михаил Павлович (?), 19-Авг-20, 14:15 
Замечательная аргументация, держи в курсе.
Ответить | Правка | Наверх | Cообщить модератору

75. "Qt 6 в Debian может оказаться без сопровождения"  +1 +/
Сообщение от Аноним (72), 19-Авг-20, 15:44 
> коммерческий софт

Для коммерческого софта есть windows, в linux он не нужен, а тому кому нужен — собрать под любой дистрибутив не проблема, у них целые отделы для этого.

Ответить | Правка | К родителю #41 | Наверх | Cообщить модератору

123. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Аноним (115), 19-Авг-20, 18:24 
>Непонятно под какой дистрибутив его делать

Обычно исключительно под убунту пакеты и делают. То что они встают на дебиан - это side effect.

Ответить | Правка | К родителю #41 | Наверх | Cообщить модератору

152. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Аноним (154), 19-Авг-20, 20:43 
Canonical движется по пути Google Store, где вирусы и половина программ не работают или глючат
Ответить | Правка | К родителю #41 | Наверх | Cообщить модератору

208. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от 6ap (?), 20-Авг-20, 09:46 
А нужно ли это? Меня, например, устраивает, что есть куча разнородных дистрибутивов, всяких несовместимостей, различных репозиториев и неумелых разработчиков очередных проигрывателей, нравится эта движуха. Не будет Qt6 в Debian, отлично опять новость и обсуждение на OpenNET, иначе будет скучно как в могиле и только искусственные новости от маркетологов.

А так, просто покупаешь железо совместимое с Linux (яблочники ведь так и делают). Компиляторы есть, IDE есть, редакторы есть, офисные пакеты есть, игры, чёрд возьми, есть.

В конце концов централизация - это в конечном счёте коррупция, спекуляция и заболачивание.

Ответить | Правка | К родителю #41 | Наверх | Cообщить модератору

50. "Qt 6 в Debian может оказаться без сопровождения"  +1 +/
Сообщение от Аноним (45), 19-Авг-20, 14:04 
> всё больше юзеров с течением времени перейдет на иные способы получения ПО, вроде snap или даже может быть(если ну очень всё хорошо будет(хотя слабо верится(очень слабо(крайне слабо)))) flatpak.

И зацветёт тогда в Linux вирусня.

Ответить | Правка | К родителю #24 | Наверх | Cообщить модератору

52. "Qt 6 в Debian может оказаться без сопровождения"  –2 +/
Сообщение от Михаил Павлович (?), 19-Авг-20, 14:13 
Наличие вирусов - следствие популярности ОС. Пакетный менеджер может минимально защитить, модераторы могут софт проверять, но вирусы однозначно будут, если линь на декстопах таки когда-нибудь стрельнет.
Ответить | Правка | Наверх | Cообщить модератору

78. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Аноним (72), 19-Авг-20, 15:51 
Ваши заявления абсолютно голословны. С таким же успехом можно написать что наличие вирусов - следствие архитектуры и традиционного использования ОС. Пакетный менеджер гарантирует что пакет это именно тот бинарник что собрал майнтейнер, что прежде чем попасть в stable софт прошёл ревью и тестовую эксплуатацию у пользователей и вирусов однозначно в нём нет.
Ответить | Правка | Наверх | Cообщить модератору

97. "Qt 6 в Debian может оказаться без сопровождения"  –1 +/
Сообщение от iPony129412 (?), 19-Авг-20, 16:59 
> Пакетный менеджер гарантирует

Это не заслуга пакетного менеджера, а заслуга организации всего этого.

Если мейнтейнеры плохие, ленивые, или неквалифицированные, то тут привет.

Тоже самое и с Windows — можно сделать первоклассный Windows Store с качественным и проверенным софтом.

Тоже самое и с линуксами. Что касается около серверного, то хорошо вылизано, к ближе десктопу хуже.
В каком там софте тысячи глаз проглядели тайм бомбу «плюнь на устаревший софт в репах!»?

Ответить | Правка | Наверх | Cообщить модератору

124. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Аноним (115), 19-Авг-20, 18:25 
>что прежде чем попасть в stable софт прошёл ревью

А где гарантия что reviewer компетентен?

Ответить | Правка | К родителю #78 | Наверх | Cообщить модератору

100. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от iPony129412 (?), 19-Авг-20, 17:05 
> Сейчас дальше всех убежала Canonical со своим snap. Они и первые сделают из него коммерческую площадку и начнут деньги получить с его помощью, даже комиссию введут в 29%(ну не 30% же, это ж не гугл). К сожалению, будущее за этим.

Говоришь как будто что-то плохое.
Вряд ли... Canonical сдался на тему десктопов.

Раньше у них чего только не было, в том числе в 2010-ых где-то магазин с платными Приложениями. Магазин музыки. Облачное хранилище...

А сейчас ничего этого нет.

Ответить | Правка | К родителю #24 | Наверх | Cообщить модератору

148. "Qt 6 в Debian может оказаться без сопровождения"  –2 +/
Сообщение от Аноним (154), 19-Авг-20, 20:24 
нет, основной минус линукса это отсутствие виндовых игр и прог.м
Ответить | Правка | К родителю #7 | Наверх | Cообщить модератору

256. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Викодин (?), 27-Авг-20, 01:45 
А ничего, что они на винище порой идут, когда на винде нет?
Ответить | Правка | Наверх | Cообщить модератору

9. "Qt 6 в Debian может оказаться без сопровождения"  –6 +/
Сообщение от Аноним (-), 19-Авг-20, 12:23 
Хахах, наивные. Так они банально платить не пробовали? Деньги с донатов плюс всегда можно нагнуть каноникал.

Рекомпиляция 100500 qtшных пакетов, с которых половина тупо зафейлится - удовольствие куда ниже среднего. Разве что нанять пару студентов которые будут затpахиваться с этим вместо реального секаса.

Ответить | Правка | Наверх | Cообщить модератору

10. "Qt 6 в Debian может оказаться без сопровождения"  +5 +/
Сообщение от Аноним (29), 19-Авг-20, 12:28 
Что конкретно зафейлится? Собрать Qt из исходников довольно тривиальная задача.

Вопрос только в том, зачем рекомпилировать, если есть официальные готовые бинарники, которые просто работают.

Ответить | Правка | Наверх | Cообщить модератору

12. "Qt 6 в Debian может оказаться без сопровождения"  +1 +/
Сообщение от Аноним (12), 19-Авг-20, 12:31 
После 5.14.2 нет.
Ответить | Правка | Наверх | Cообщить модератору

13. "Qt 6 в Debian может оказаться без сопровождения"  +3 +/
Сообщение от Аноним (13), 19-Авг-20, 12:32 
Под все архитектуры? И как без сборки проверить воспроизводимость сборки, хоть на том же ч86_64?
Ответить | Правка | К родителю #10 | Наверх | Cообщить модератору

238. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Michael Shigorinemail (ok), 23-Авг-20, 14:28 
Ну извините, кого интересует воспроизводимость сборки -- того для начала сборка волновать и должна.  Хотя есть, конечно, одни дармоеды тут...
Ответить | Правка | Наверх | Cообщить модератору

15. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от анонимус (??), 19-Авг-20, 12:34 
> Вопрос только в том, зачем рекомпилировать, если есть официальные готовые бинарники, которые просто работают.

Вы, похоже, не совсем понимаете, для чего нужны дистрибутивы

Ответить | Правка | К родителю #10 | Наверх | Cообщить модератору

21. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Аноним (29), 19-Авг-20, 12:41 
Как раз тут очевидно. Для поднятия эго их сборщиков.
Приятно собирать чужое и выкладывать под своим именем, по себе знаю
Ответить | Правка | Наверх | Cообщить модератору

32. "Qt 6 в Debian может оказаться без сопровождения"  +12 +/
Сообщение от InuYasha (??), 19-Авг-20, 12:59 
Денис, ну, право, сколько можно!
Ответить | Правка | Наверх | Cообщить модератору

16. "Qt 6 в Debian может оказаться без сопровождения"  +1 +/
Сообщение от Аноним (13), 19-Авг-20, 12:35 
> Собрать Qt из исходников довольно тривиальная задача.

QT3+GCC7 = пару сотен исправлений. большинство из которых - седом. Было нужно некое старье поддерживать до позапрошлого года... Для меня это оказалось тривиальным на вторую неделю, чо.

Ответить | Правка | К родителю #10 | Наверх | Cообщить модератору

26. "Qt 6 в Debian может оказаться без сопровождения"  –2 +/
Сообщение от Аноним (29), 19-Авг-20, 12:43 
Копатели в старье должны страдать, тут всё просто.
Речь о Qt 5.15 и Clang 10 / GCC 10.
Ответить | Правка | Наверх | Cообщить модератору

76. "Qt 6 в Debian может оказаться без сопровождения"  +3 +/
Сообщение от Аноним (76), 19-Авг-20, 15:45 
Вы в курсе, сколько bundled-зависимостей у Qt, которые в любой приличной ОС развязывают — и почему это нужно? Вы в курсе проблем вида «foo зависит от bar>=2.0, buz собирается только с bar<2.0»? Вы в курсе, что с каждым релизом Qt что-то перестаёт с ним собираться, а с мажорным, где заметно ломают обратную совместимость, проблем будет вагон и маленькая тележка? Вы никогда не чинили Qt-шные сборочные скрипты? А тесты после сборки не забываете прогонять?

Вопросы риторические.

Ответить | Правка | Наверх | Cообщить модератору

180. "Qt 6 в Debian может оказаться без сопровождения"  –1 +/
Сообщение от Андрей (??), 20-Авг-20, 00:21 
> Вы в курсе, что с каждым релизом Qt что-то перестаёт с ним собираться

Значит, не только у GTK проблемы. Да и значительные проблемы появились только с темами в 3.x. А сборка в пределах одной серии версий (2.x, 3.x) поддерживается, хоть потихоньку и захламляется сообщениями "deprecated".

Ответить | Правка | Наверх | Cообщить модератору

242. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Michael Shigorinemail (ok), 23-Авг-20, 14:40 
А выложите, кстати.  Так-то альтовский пакет qt3 собирается gcc9, если кому понадобится.
Ответить | Правка | К родителю #16 | Наверх | Cообщить модератору

234. "Qt 6 в Debian может оказаться без сопровождения"  +1 +/
Сообщение от mikhailnov (ok), 22-Авг-20, 01:36 
Иные пакеты, использующие Qt, зафейлятся при обновлении Qt
Ответить | Правка | К родителю #10 | Наверх | Cообщить модератору

25. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Аноним (14), 19-Авг-20, 12:43 
> Деньги с донатов плюс всегда можно нагнуть каноникал.

Они собирают донаты.

> Рекомпиляция 100500 qtшных пакетов

Ну так они телеметрию и "анти-функции" вырезают всегда. И ещё вставляю 100500 патчей, которые как раз фейлят компиляцию.

Ответить | Правка | К родителю #9 | Наверх | Cообщить модератору

56. "Qt 6 в Debian может оказаться без сопровождения"  +1 +/
Сообщение от Аноним (56), 19-Авг-20, 14:22 
"Платить деньги" - это не решение в опенсорсе, развал мозиллы - явный тому показатель. В хороший опенсорс идут, чтобы бороться со злом, а не чтобы зарабатывать деньги. Если за поддержку опенсорса надо доплачивать, то это уже плохой опенсорс, находящийся на грани своего развала.

Вот только дебиан - давно уже не хороший опенсорс, с тех самых пор, как они приняли ЗЛОd и создали debian women project.

Ответить | Правка | К родителю #9 | Наверх | Cообщить модератору

98. "Qt 6 в Debian может оказаться без сопровождения"  +2 +/
Сообщение от Аноним (98), 19-Авг-20, 17:02 
А ты за бесплатно работаешь, да?
Давай я тебе скину тогда одно ТЗ, а ты за бесплатно мне ПО напишешь.

То, что за опенсурс не надо платить, только твоя точка зрения.

Разработчики тратят своё время и жизнь на написание этого по, поэтому они совсем не против денежного вознаграждения.
А с твоей точкой зрения, линукс загнется через 2 дня, ибо за просто так никто опер сурс делать не будет.
Кстати у Линуса Торвальдса ЗП в год около 6000 тысяч долларов.
Иди отпиши ему, что он должен сейчас просто так писать опер сурс.
Он поржет над тобой и отправит тебя на 3 весёлых буквы.

Ответить | Правка | Наверх | Cообщить модератору

99. "Qt 6 в Debian может оказаться без сопровождения"  +2 +/
Сообщение от Аноним (98), 19-Авг-20, 17:02 
600 тысяч долларов точней.
Ответить | Правка | Наверх | Cообщить модератору

106. "Qt 6 в Debian может оказаться без сопровождения"  +1 +/
Сообщение от Аноним (106), 19-Авг-20, 17:29 
>  А ты за бесплатно работаешь, да?

Нет, представь себе, *работаю* я не за бесплатно, но делаю при этом не то, что нужно мне или миру, а то, что нужно тем, кто печатает деньги. В разработке софта я учатсвую бесплатно, но это не работа, а улучшение мира.

> Давай я тебе скину тогда одно ТЗ, а ты за бесплатно мне ПО напишешь.

Можешь писать своё ТЗ в коменты, но чтобы кто-то, например я, написал по нему опенсорс, ты должен убедить например меня, что твой проект представляет собой большее добро, чем мои текущие (о которых я здесь говорить не буду во избежание деанона фемками). Если не убедишь - пустозвон. Это опенсорс, детка.

> Кстати у Линуса Торвальдса ЗП в год около 6000 тысяч долларов.

И это плохо. Потому что вот когда он начал её получать, линукс и начал скатываться, потому что вместо написания хорошего кода (т. е. создания мирового добра) он начал заниматься тем, что нужно феминисткам, которые платят ему зарплату, т. е. корёжением кода с поломками совместимостей.

Ответить | Правка | К родителю #98 | Наверх | Cообщить модератору

116. "Qt 6 в Debian может оказаться без сопровождения"  –1 +/
Сообщение от Аноним (98), 19-Авг-20, 18:06 
>И это плохо. Потому что вот когда он начал её получать, линукс и начал скатываться, потому что вместо написания хорошего кода (т. е. создания мирового добра) он начал заниматься тем, что нужно феминисткам, которые платят ему зарплату, т. е. корёжением кода с поломками совместимостей.

Вы всегда можете написать свою ос как хотите. Это же опер сурс. И делайте её за так.
Ну а насчёт поработать за так в опен сурс. Отвечу заранее: иди сам и работай в опер сурс бесплатно.

Ответить | Правка | Наверх | Cообщить модератору

130. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Аноним (130), 19-Авг-20, 18:35 
Зачем мне её писать, когда всё уже написано?
Ответить | Правка | Наверх | Cообщить модератору

163. "Qt 6 в Debian может оказаться без сопровождения"  –1 +/
Сообщение от Аноним (98), 19-Авг-20, 21:28 
Ну и лицемер же вы.

По вашей точке зрения на мир - пишут код за деньги в опен сурсе только злодеи и подонки.

Но при этом вы без зазрения совести пользуетесь трудом этих подонков и указываете другим как жить.
Какое же это лицемерие и наглость.
Вы просто очередная лгун с opennet.
Мне искренне жаль своего потраченного времени на вас.

Ответить | Правка | Наверх | Cообщить модератору

220. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Аноним (-), 20-Авг-20, 16:21 
Лицемер здесь пока что только вы, причём очереднАЯ (sic!)

> пишут код за деньги в опен сурсе только злодеи и подонки.

Где я это сказал?

> Но при этом вы без зазрения совести пользуетесь трудом этих подонков

Даже если и так, не вижу ничего плохого в том, чтобы пользоваться полезными результатами деятельности подонков. Особенно, сделанными тогда, когда подонками они ещё не были. Таким образом хотя бы немного компенсируется вред, нанесённый подонками и лгунами вроде вас обществу.

> указываете другим как жить.

Также не вижу ничего плохого в повторнеии самоочевидных истин, если кто-то делает вид, что их не понимает.

> лгун

И где это я соврал, интересно?

Ответить | Правка | Наверх | Cообщить модератору

239. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Michael Shigorinemail (ok), 23-Авг-20, 14:32 
Кстати, чисто на всякий: http://emboxing.ru
Ответить | Правка | К родителю #130 | Наверх | Cообщить модератору

125. "Qt 6 в Debian может оказаться без сопровождения"  –1 +/
Сообщение от Аноним (98), 19-Авг-20, 18:28 
>Можешь писать своё ТЗ в коменты, но чтобы кто-то, например я, написал по нему опенсорс, ты должен убедить например меня, что твой проект представляет собой большее добро, чем мои текущие (о которых я здесь говорить не буду во избежание деанона фемками). Если не убедишь - пустозвон. Это опенсорс, детка.

Ясно, понятно, ты сам очередной пустозвон.
Можешь только писать красивые слова, а как только дошло все до дела, пошли отговорки. Впрочем ничего другого от людей, требующих от других работать за бесплатно я и не ожидал.
Всего хорошего.

Ответить | Правка | К родителю #106 | Наверх | Cообщить модератору

129. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Аноним (130), 19-Авг-20, 18:34 
Пустьзвон здесь только ты, потому что *работать* бесплатно никто не предлагает. Бесплатно предлагают бороться со злом, весь опенсорс на этом построен. Но тогда объяснить другим, что ты предлагаешь именно бороться со злом - твоя прямая обязанность.
Ответить | Правка | Наверх | Cообщить модератору

240. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Michael Shigorinemail (ok), 23-Авг-20, 14:35 
Вы предложили ему написать ПО.
Он предложил Вам опубликовать ТЗ.
Вы обозвали его пустозвоном.

Пустозвон -- насколько понимаю, тот, кто бьёт в колокола без повода.

И да, завязывайте с отговорками или внимательно перечитайте пп. 4, 6, 8 http://wiki.opennet.ru/ForumHelp

Ответить | Правка | К родителю #125 | Наверх | Cообщить модератору

134. "Qt 6 в Debian может оказаться без сопровождения"  +2 +/
Сообщение от Аноним (-), 19-Авг-20, 18:55 
Целиком и полностью поддерживаю. Опенсорс - это прежде всего идея. А когда идея становится проплаченной, она перестаёт быть идеей.
Ответить | Правка | К родителю #56 | Наверх | Cообщить модератору

155. "Qt 6 в Debian может оказаться без сопровождения"  –2 +/
Сообщение от Аноним (155), 19-Авг-20, 20:57 
>становится проплаченной

Вы точно понимаете значение слова opensource?

Ответить | Правка | Наверх | Cообщить модератору

179. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Аноним (138), 20-Авг-20, 00:19 
А вы точно читаете соседние новости?
Ответить | Правка | Наверх | Cообщить модератору

241. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Michael Shigorinemail (ok), 23-Авг-20, 14:38 
Ну началось, сейчас опять до "демократий" по Аристотелю, римлянам, французам и американцам доберёмся уж в который раз.

А всё потому, что некоторые не в курсе разницы между открытыми исходниками, свободными программами, ответственностью добровольцев и профессиональной ответственностью.  Это всё может как сочетаться в одной точке (проекте, человеке), так и очень даже нет.

Когда сочетается -- в виденных случаях было хорошо.  Когда нет -- обычно это про нестроения, жадность, непрофессионализм.  Требовать такого от других -- не работает.  Делать и выращивать самому -- порой бывает.

Ответить | Правка | К родителю #155 | Наверх | Cообщить модератору

11. "Qt 6 в Debian может оказаться без сопровождения"  +4 +/
Сообщение от Аноним (13), 19-Авг-20, 12:29 
Просто кути5 сегодня - хватает всем и на всё. Потому и не спешат бежать. Некоторым(не мне, из-за HIDPI) даже третьей версии хватате.
Ответить | Правка | Наверх | Cообщить модератору

258. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Аноним (258), 12-Окт-20, 00:49 
Мне не хватает. Я хочу QPainter поверх OpenGL из Qt6 и биндинги из QML для нормальных виджетов.
Ответить | Правка | Наверх | Cообщить модератору

18. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Аноним (18), 19-Авг-20, 12:40 
>Qt6

Неужели я опять вылез из криокамеры

Ответить | Правка | Наверх | Cообщить модератору

167. "Qt 6 в Debian может оказаться без сопровождения"  –2 +/
Сообщение от Аноним (138), 19-Авг-20, 21:57 
в кутэ5 не всё сломали, требуется кутэ6
Ответить | Правка | Наверх | Cообщить модератору

206. "Qt 6 в Debian может оказаться без сопровождения"  +1 +/
Сообщение от Аноним (203), 20-Авг-20, 09:40 
Не переживай, в gtk3 уже все сломали, а теперь все сломают и в gtk4. Любители сломанного гномна голодать не будут.
Ответить | Правка | Наверх | Cообщить модератору

20. "Qt 6 в Debian может оказаться без сопровождения"  +3 +/
Сообщение от Аноним (20), 19-Авг-20, 12:40 
Там cmake простыня огромная, пробросы env. Фу!
Ответить | Правка | Наверх | Cообщить модератору

22. "Qt 6 в Debian может оказаться без сопровождения"  –5 +/
Сообщение от pofigist (?), 19-Авг-20, 12:41 
Интересно. Из RHEL8 его выкинули изначально, дебиан - следующий... Qt походу умирает. Жаль.
Ответить | Правка | Наверх | Cообщить модератору

28. "Qt 6 в Debian может оказаться без сопровождения"  –2 +/
Сообщение от Аноним (14), 19-Авг-20, 12:45 
Дебьян умер давно, после того как все изначальные разработчики уволились из-за s-d. REHL следующий.
Ответить | Правка | Наверх | Cообщить модератору

35. "Qt 6 в Debian может оказаться без сопровождения"  –1 +/
Сообщение от Анонимemail (23), 19-Авг-20, 13:06 
Ну прям день пророков. В каком месте-то он умер, можешь пояснить?
Ответить | Правка | Наверх | Cообщить модератору

181. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Андрей (??), 20-Авг-20, 00:23 
> после того как все изначальные разработчики уволились из-за s-d

Debian - это не Red Hat, и даже не Mozilla. Там не работают, а, значит, и не увольняются. Там только волонтёры насколько я знаю. Пусть и зовутся они "разработчик Debian", "сопровождающий Debian".

Ответить | Правка | К родителю #28 | Наверх | Cообщить модератору

31. "Qt 6 в Debian может оказаться без сопровождения"  –7 +/
Сообщение от Аноним (31), 19-Авг-20, 12:54 
Qt он как и электрон. Не нужен, но все им почему-то пользуются.
Ответить | Правка | Наверх | Cообщить модератору

34. "Qt 6 в Debian может оказаться без сопровождения"  +3 +/
Сообщение от Аноним (29), 19-Авг-20, 13:05 
Единственное адекватное нативное средство кроссплатформы на все актуальные десктоп и мобайл платформы
Альтернативы?
Ответить | Правка | Наверх | Cообщить модератору

36. "Qt 6 в Debian может оказаться без сопровождения"  +1 +/
Сообщение от Аноним (36), 19-Авг-20, 13:10 
flutter?

Пока не готово, но потенциал есть

Ответить | Правка | Наверх | Cообщить модератору

59. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Аноним (45), 19-Авг-20, 14:36 
Небось, для Linux поверх Говнотыка будет? Фу!
Ответить | Правка | Наверх | Cообщить модератору

66. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Имя (?), 19-Авг-20, 14:50 
Обещают в будущем интерфейс для интеграции с любыми фреймворками, он ведь в opengl рендерит
Ответить | Правка | Наверх | Cообщить модератору

87. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Русские вперед (?), 19-Авг-20, 16:22 
Даже без Vulkan?
Ответить | Правка | Наверх | Cообщить модератору

198. "Qt 6 в Debian может оказаться без сопровождения"  +1 +/
Сообщение от Сишникemail (?), 20-Авг-20, 07:46 
Нет там опенгл, отрисовка примитивов через skia на цпу производится.
Ответить | Правка | К родителю #66 | Наверх | Cообщить модератору

202. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Сишникemail (?), 20-Авг-20, 08:35 
Нормально, но для десктопа проще FLTK взять. Вчера вечером себе програмку запилил (проще сделать, чем искать готовую) на нём - кода мало, работает как надо, выглядит стильно если под лупой не разглядывать, потребление памяти 1836 КБ.
Ответить | Правка | К родителю #36 | Наверх | Cообщить модератору

207. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Аноним (203), 20-Авг-20, 09:42 
>Разработчик     Google

Электрон 2.0

Ответить | Правка | К родителю #36 | Наверх | Cообщить модератору

39. "Qt 6 в Debian может оказаться без сопровождения"  –3 +/
Сообщение от Аноним (20), 19-Авг-20, 13:26 
Не единственное точно, embarcadero.
Ответить | Правка | К родителю #34 | Наверх | Cообщить модератору

48. "Qt 6 в Debian может оказаться без сопровождения"  +1 +/
Сообщение от Аноним (29), 19-Авг-20, 14:01 
Адекватных. Я не зря это дописал.
У Embarcadero даже IDE нет на онтопик
Ответить | Правка | Наверх | Cообщить модератору

51. "Qt 6 в Debian может оказаться без сопровождения"  –5 +/
Сообщение от Аноним (51), 19-Авг-20, 14:08 
Пока qt не предоставит нормальные статические линкованные файлы на выходе, я даже не рассматриваю ее как IDE. Да можно собрать свое из сорцоы под каждую ОС.
Ответить | Правка | Наверх | Cообщить модератору

68. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Аноним (29), 19-Авг-20, 15:14 
Статику лучше не надо, если сам софт не под GPL/LGPL
Ответить | Правка | Наверх | Cообщить модератору

67. "Qt 6 в Debian может оказаться без сопровождения"  –1 +/
Сообщение от Аноним (67), 19-Авг-20, 14:58 
> Альтернативы?

Java, wxWidgets

Ответить | Правка | К родителю #34 | Наверх | Cообщить модератору

69. "Qt 6 в Debian может оказаться без сопровождения"  –2 +/
Сообщение от Аноним (29), 19-Авг-20, 15:16 
Не знаю, каким надо быть извращенцем, чтоб использовать это на мобилках
Это как Qt Widgets на iOS собрать
Ответить | Правка | Наверх | Cообщить модератору

165. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Lex (??), 19-Авг-20, 21:35 
Особенность десктопов и мобил уже в том, что им в принципе не может потребоваться одинаковое приложение с одинаковыми интерфейсами уже даже ввиду разных габаритов и соотношений экранов, методов взаимодействия пользователя с «железкой» и проч.
Если надобится - значит, что-то пошло не так.

И, кстати, по поводу эпически кроссплатформенных интерфейсов - вебстраница. Открывается везде и на всем, где есть совместимый браузер.
С функционалом - сложнее, но очень многие вещи уже можно делать посредством веба.

Просто, умеренно-быстро, не требует компиляций и порог входа условно-небольшой( хотя попробуй изучить html 5, css 3, свеженький JS, инструментарий для его обработки и проч ).
Но результат ИМХО получается весьма неплохим.

Ответить | Правка | Наверх | Cообщить модератору

199. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Сишникemail (?), 20-Авг-20, 07:49 
Попробуй на веб странице адекватный редактор фоточек сделать, файловый менеджер или хотя бы банальный фонарик?
Ответить | Правка | Наверх | Cообщить модератору

209. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Аноним (209), 20-Авг-20, 10:39 
Figma и всякие Adobe-приблуды какгбе намекают, что ты не совсем прав.

А доступ к ФС и аппаратуре из интернета в целом и с веб-страницы в частности - зло в чистом виде.

Ответить | Правка | Наверх | Cообщить модератору

212. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Сишникemail (?), 20-Авг-20, 10:59 
Ну фигма это всё же не фоторедактор, и для пользователя ничего хорошего в зависимости от привязки к онлайну нет.
Ответить | Правка | Наверх | Cообщить модератору

217. "Qt 6 в Debian может оказаться без сопровождения"  –1 +/
Сообщение от Lex (??), 20-Авг-20, 12:09 
Попробуй на чем угодно адекватный редактор фоточек сделать или, хотя бы, банальный фонарик( на десктопе то, угу ) ?

И это даже без учета принципиальной разности как в размерах экрана, так и в подходах к управлению на десктопе и смартфоне.

п.с: редакторы фоток нынче нередко есть онлайн и уже лет 5 это нечто совершенно обыденное явление. Удивительно что ты не в курсе.

Ну а в случае с именно доступом из веба к железу - он постепенно усиливается.
Еще несколько лет назад посредством веба даже к веб-камере на десктопе или мобильнике было практически невозможно подключиться - для этого требовалось делать пусть и примитивное, но именно приложение.
Но нынче уже только так проводятся видеоконференции онлайн посредством веб-страниц.. и никакого флеша.

Но пока для чего-то серьезного, как минимум, в случае с мобильными устройствами, обычно пишут приложения на кроссплатформенных штуковинах вроде React-Native( qt, кстати, при этом выкидывают на помойку ввиду громоздкости и трудоемкости поддержки этого барахла. Кроме шуток, довольно часто встречаются конторы, переходящие с qt, на котором была написана начальная версия приложения, на что-то получше )

Ответить | Правка | К родителю #199 | Наверх | Cообщить модератору

218. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Сишникemail (?), 20-Авг-20, 12:46 
> п.с: редакторы фоток нынче нередко есть онлайн и уже лет 5 это нечто совершенно обыденное явление. Удивительно что ты не в курсе.

Я поэтому написал "адекватный". Сейчас глянул что там есть на рынке (pixlr вверху выдачи гугла), попробовал открыть текстурку, с которой работаю - пишет "Изображение, которое вы выбрали, очень большое (8192 x 8192) измените его размер перед началом редактирования, чтобы сэкономить память и минимизировать время загрузки". Это не серьёзно же. На тех же мобилках нынче фотки и поболее бывают, а тут такой лимит для десктоп версии. Да и функционал куцый.

Нет, конечно, на жс можно много чего сделать, есть даже реализация h264 кодека на жс, но это ж ерунда.

> Еще несколько лет назад посредством веба даже к веб-камере на десктопе или мобильнике было практически невозможно подключиться

До чего дошёл прогресс🤣
Видеозвонки на мобилках ещё в нулевых были.

Ответить | Правка | Наверх | Cообщить модератору

219. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Сишникemail (?), 20-Авг-20, 12:52 
> Но пока для чего-то серьезного, как минимум, в случае с мобильными устройствами,
> обычно пишут приложения на кроссплатформенных штуковинах вроде React-Native

hh.ru Россия:
android developer - 2 742 вакансии
ios developer - 2 440 вакансий
react native developer - 473 вакансии

Элитарный фреймворк для особо серьёзных приложений, ага.

Ответить | Правка | К родителю #217 | Наверх | Cообщить модератору

222. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Lex (??), 20-Авг-20, 17:35 
>> Но пока для чего-то серьезного, как минимум, в случае с мобильными устройствами,
>> обычно пишут приложения на кроссплатформенных штуковинах вроде React-Native
> hh.ru Россия:
> android developer - 2 742 вакансии
> ios developer - 2 440 вакансий
> react native developer - 473 вакансии
> Элитарный фреймворк для особо серьёзных приложений, ага.

Потом, правда, окажется, что React-Native разработчик - это разработчик и под андройд и под айось :)
Кроме шуток, сейчас нередко пилят приложения чисто под андройд или айос, но на штуках вроде RN, т.е без "нативной" джава, свифта и проч, хотя лично я не совсем подобное одобряю.

А теперь чуть уточненные результаты поиска( параметры те же  ):

Swift developer - 1093 вакансии
Objective-c developer - 551 вакансия
Java android developer - 1156 вакансий
Kotlin android developer - 896 вакансий

.. ну и React-Native developer - 473 вакансии. Не так уж плохо с учетом того, что о подобных гибридных штуковинах заказчики в РФ только-только начинают узнавать нормально. Пару лет назад вакансий было несколько десятков.

Ну и, куда же без Ылитарности. Тот же hh, та же РФ:
QT( включая просто упоминания в тексте вакансии типа "опыт работы с QT будет плюсом" ) - 436 вакансий
QT Android developer - 44 вакансии
QT iOS developer - 23 вакансии
QT mobile developer - 8 вакансий

Вот уж где илита так и прет.. прям изо всех щелей.
Хотя.. это фактически подтверждает мои слова о том, что qt из мобильных устройств летит прямиком на помойку[истории] и поддержка им каких-то там абстрактных мобильных устройств уже не является особым аргументом.

Ответить | Правка | Наверх | Cообщить модератору

223. "Qt 6 в Debian может оказаться без сопровождения"  –1 +/
Сообщение от Сишникemail (?), 20-Авг-20, 18:42 

> Кроме шуток, сейчас нередко пилят приложения чисто под андройд или айос, но
> на штуках вроде RN, т.е без "нативной" джава, свифта и проч,
> хотя лично я не совсем подобное одобряю.

Нередко их потом переписывают на натив(kt/swift), т.к. лагает, да и реактщикам порой приходится куски на нативе под обе платформы делать. Я не топлю за qt, но плюсы по мне так разумнее выглядят чем дёрганье нативных виджетов из js движка. Да и тот же свифт собирается под линукс (а значит и андроид теоретически), и котлин что-то там про исполняемые бинарники заявлял. И дарт компилится в бинарник, а значит тормозная скриптуха всего лишь 1 из многих выборов для кроссплафтормы.

Ответить | Правка | Наверх | Cообщить модератору

228. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Lex (??), 21-Авг-20, 08:01 
>> Кроме шуток, сейчас нередко пилят приложения чисто под андройд или айос, но
>> на штуках вроде RN, т.е без "нативной" джава, свифта и проч,
>> хотя лично я не совсем подобное одобряю.
> Нередко их потом переписывают на натив(kt/swift), т.к. лагает, да и реактщикам порой
> приходится куски на нативе под обе платформы делать. Я не топлю
> за qt, но плюсы по мне так разумнее выглядят чем дёрганье
> нативных виджетов из js движка. Да и тот же свифт собирается
> под линукс (а значит и андроид теоретически), и котлин что-то там
> про исполняемые бинарники заявлял. И дарт компилится в бинарник, а значит
> тормозная скриптуха всего лишь 1 из многих выборов для кроссплафтормы.

А минусить то за что ?) -Я просто привел более корректные цифры по вакансиям, в т.ч и богоподобному QT( по которому суммарно всех вакансий, включая даже те, где он просто мельком упоминается, примерно как для одного RN, в котором ожидается именно соотв разработчик )

2-3 года лет назад подобное частенько бывало - тогда RN был еще сыроват и нередки были проблемы с производительностью да и с работоспособностью( вылеты или в нативе или в жс ).
Хотя, они и сейчас бывают, но только если RN-разработчик - вчерашний вебпрограммист и прогает под мобилу аккурат как на вебе, с кучей постороннего мусора и нагромождений( TS, StyledComponents + еще какой-нибудь Vue-Native до кучи.. который на базе RN работает лишней прослойкой ), которые браузер еще прощал, а подобная штуковина - уже нет.
Ну и иногда переписывают на "натив" реально мудреные приложения, которые пилились более года и по ходу дела несколько раз менялась концепция, что в итоге привело к наличию фактически 2 разных приложений - под яблоко и андройд, с разными дизайнами и с ощутимо различающимся функционалом.

Если же приложение написано сколь-нибудь нормально, оно не лагает( если только на старых бюджетных андройдофонах ).
Другое дело, что языки вроде Си или плюсОв могут очень многое прощать в плане архитектуры, поскольку скомпиленный код работает быстрее и может "пережевать" гораздо больше обезьяньего когда с горами оверхеда.
Хотя и в случае с JS и RN - все-таки применяется движок из WebKit.. и компиляция есть, пусть и JIT( хотя сейчас уже хитрее, в случае с т.н RN Hermes для Android ).

Порой - бывает.. но речь об очень специфических случаях, поскольку весь основной функционал( работа с пушицы-уведомлениями, камера, геолокация, карты, анимация, работа с ФС итд итп ) уже давно реализован в модулях и нередко из десятков и сотен разных приложений, лишь для какого-то одного, с очень специфическими потребностями, требуется запилить подобие "модуля"( и то, потому что обычно требуется подключить какое-то очень стороннее и закрытое SDK, которе распространяется лишь обычным архивом с бинарниками.. и то, после регистрации и СМС ), т.е нередко нужно писать даже не совсем "модуль", а "прослойку" на нативе( обычно это ObjC и Java ), чтобы этот модуль можно было бы дергать из JS.

Дело не в том, на чем собирается свифт.
Дело в том, что он - крайне нишевой язык, тогда как у того же JS имеется куча наработок почти на все случаи жизни, да и работает он на огромном множестве разных устройств..

С флаттером и дартом вообще отдельный разговор.

Да, жс - лишь один из многих вариантов, но возможность запросто собирать платформо- и архитектуронезависимую часть, в которой реализована основная логика - весьма интересная штука( что приводит к порождению штук вроде Expo у того же React-Native. Хотя Expo категорически не одобряю ).
Скорее всего, если на смену JS что-то и придет, то это будет или WASM или - байт-код LLVM, полученный из какого угодно ЯП, который поддерживает "компиляцию" в соотв байткод.


Ответить | Правка | Наверх | Cообщить модератору

229. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Сишникemail (?), 21-Авг-20, 11:03 
> А минусить то за что ?)

Я своё отношение высказал в комменте, а не минусовалкой)

> Если же приложение написано сколь-нибудь нормально, оно не лагает( если только на
> старых бюджетных андройдофонах ).

Даже на дисплеях 1440p 120гц со сложной вёрсткой? Как только появляется новое мощное железо, програмиисты находят, чем его нагрузить.

> Другое дело, что языки вроде Си или плюсОв могут очень многое прощать
> в плане архитектуры, поскольку скомпиленный код работает быстрее и может "пережевать"
> гораздо больше обезьяньего когда с горами оверхеда.

Да, и тут уже выигрыш от удобства разработки на js не так очевиден, если приходится больше внимания уделять оптимизации.

> Скорее всего, если на смену JS что-то и придет, то это будет
> или WASM или - байт-код LLVM, полученный из какого угодно ЯП,
> который поддерживает "компиляцию" в соотв байткод.

Дарт уже готов для прода, компилится сразу в исполняемый код. Библиотек разве что меньше и архитектура замороченная, на плюсах и то проще делать UI.


Ответить | Правка | Наверх | Cообщить модератору

230. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Lex (??), 21-Авг-20, 13:49 

>> Если же приложение написано сколь-нибудь нормально, оно не лагает( если только на
>> старых бюджетных андройдофонах ).
> Даже на дисплеях 1440p 120гц со сложной вёрсткой? Как только появляется новое
> мощное железо, програмиисты находят, чем его нагрузить.

Мы все еще про мобильные устройства говорим ?
Тем более, что не стОит мешать частоту кадров и скорость отрисовки( в том же RN, к примеру, при миниальнейшей оптимизации, перерисовываются лишь компоненты с измененными входными данными. Тут уж хоть с частотой 100 000 000 гц на экран выводи - никакой разницы не будет. В случае с остальным - оптимизированная анимация обычно идет через "натив" - т.е из JS в нативную часть отправляется пачка точек и проч, по которым планируется анимация, далее - сигнал для старта, после чего сама анимация происходит чисто на нативе, без обмена данными с JS-потоком, разве что по окончании ему сообщает. И это уже идет "искаропки" )

В случае с мобильными устройствами, сложная верстка - это обилие списков, в т.ч вложенных, с кучей элементов.
А просто обилие оформления - вообще не проблема, т.к без наличия изменений входных данных, они не изменяются.

Для тех случаев, где требуется что-то особо динамично отрисовывать ИМХО есть игровые движки, которые в т.ч для этого и предполагаются.

> Да, и тут уже выигрыш от удобства разработки на js не так
> очевиден, если приходится больше внимания уделять оптимизации.

Учитывая, что при этом не требуется этот бесконечный цирк с типизациями на фоне огромного обилия RN и JS-пакетов на все случаи жизни и это при наличии пакетного менеджера, все-таки плюсы есть.

Реально серьезные оптимизации требуются крайне редко.
На самом деле, нередко приходится заниматься обратным - черти-какие разрабы начитаются каких-нибудь хренабров, медиумов итд итп и на ровном месте начинают тянуть в проект гору мусора, которая, мало того, что делает код громоздким и добавляет кучу оверхеда( простой и кэповский код на JS размазывается на десяток файлов, появляются абстрактные классы, интерфейсы, публичные-приватные методы. Что, ни разобраться в этой помойке, ни просто взять и сделать правки, практически невозможно, как будто кто-то только начитался этой белиберды про паттерны и заблевал этим весь проект ) , так еще и само приложение делателя тормозным, безумно жрущим ресурсы, а сам проект - малоподдерживаемым.

> Дарт уже готов для прода, компилится сразу в исполняемый код. Библиотек разве
> что меньше и архитектура замороченная, на плюсах и то проще делать
> UI.

Дарт и его инфраструктура почти намертво к гуглу привязаны и их будущее практически полностью зависит от его прихоти - очень с серьезная неопределенность.
Вдобавок, дарт уже даже подыхал разок вроде бы как.
Потому прогеры не очень-то и спешат за него браться.

Нужен не просто исполняемый код, а максимально пережеванный, но не заточенный под конкретную архитектуру, который без серьезных проблем можно оптимально собрать под разные архитектуры( в т.ч те их модификации, которых пока даже нет ).
За подобным будущее ИМХО.

Ответить | Правка | Наверх | Cообщить модератору

232. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Сишникemail (?), 21-Авг-20, 14:55 
> Мы все еще про мобильные устройства говорим ?

Ага, One plus 8 например - 1440x3168 120гц дисплей.

> Реально серьезные оптимизации требуются крайне редко.

В проектах где я работал (фото/видео/аудио обработка/трансляция) почему-то часто требуется🙂

Ответить | Правка | К родителю #230 | Наверх | Cообщить модератору

236. "Qt 6 в Debian может оказаться без сопровождения"  +1 +/
Сообщение от Lex (??), 22-Авг-20, 09:09 
>> Мы все еще про мобильные устройства говорим ?
> Ага, One plus 8 например - 1440x3168 120гц дисплей.

Сколько там реально герц - это, скорее, тайна за семью печатями, поскольку в обычном режиме работы подобные частоты приведут лишь к ускорению разряда аккума.
Обычно более-менее шустрая перерисовка( реальная ) происходит лишь в тех областях, где были изменения, но это уже старый подход. Сейчас наверняка что-то еще хитрее.

> В проектах где я работал (фото/видео/аудио обработка/трансляция) почему-то часто требуется🙂

Подобные проекты - менее 5%.
Есть, конечно, в немалом количестве те, куда просто требуется встроить воспроизведение аудио или видео с того же ютубчика, но это каких-либо сложностей не вызывает, как и необходимости работы с наливом не требует.

Медиа, ее обработка и передача - вообще отдельная история и там да, нередко очень много чего требуется, поскольку крайней ресурсоемкая и специфичная штука.
Там не то, что работа с нативом и модулями частенько требуется - там еще и с самим конторами вроде эппла вопросы решать приходится( по итогу которых они обычно просто шлют в известном направлении с тонким намеком на перспективу толстого наказания по случаю чего ).
Помню, требовалось как-то во времена еще 5-го айфона запилить приложение - подобие скайпа, но с кучей фич, потоковым видео итп.. Практически все нативные библиотеки и модули, которые имелись, не позволяли сделать это нормально( или качество было ужасное и устройство эпически накалялось, т.к перекодирование шло чисто на ЦП или трафик на раз-два прожирался, поскольку шло в толстом формате и нередко требовало подключение к вайфаю ), но тот же "нативный" FaceTime запросто это делал без особых проблем... по итогу долгого гугления и срачей оказалось, что у яблока есть несколько уровней АПИ - самый открытый и тупой для обычных сторонних разработчиков, более продвинутый - для "приближенных" контор и реально крутой( с задействование множества аппаратных узлов, которые недоступны сторонним разрабам. Во времена 5-ки, это были в т.ч узлы аппаратной обработки видеопотока, которые были доступны фейстайму и недоступны всем остальным ) - для своих продуктов( если даже кто-то из сторонних разрабов расковыряет этот АПИ, сказать что ему будет а-та-та при попытке выгрузки такого приложения в сторонки - не сказать ничего ).

Ответить | Правка | К родителю #232 | Наверх | Cообщить модератору

118. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Аноним (45), 19-Авг-20, 18:09 
И с какими же ЯП можно использовать Java-GUI, кроме ней самой?
Ответить | Правка | К родителю #67 | Наверх | Cообщить модератору

200. "Qt 6 в Debian может оказаться без сопровождения"  –1 +/
Сообщение от Сишникemail (?), 20-Авг-20, 07:51 
С любым компилируемым через сишную обёртку jni.
Ответить | Правка | Наверх | Cообщить модератору

160. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Отражение луны (ok), 19-Авг-20, 21:21 
Спасибо, не нужно
Ответить | Правка | К родителю #67 | Наверх | Cообщить модератору

33. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Дима (??), 19-Авг-20, 13:00 
Поэтому и придумали SNAP и другие аналоги. Правда я сам сильно их недолбливаю, лучше уж из бинарников запускать.
Ответить | Правка | Наверх | Cообщить модератору

47. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Аноним (29), 19-Авг-20, 14:00 
Ага, под рутом
Из бинарников менее безопасно
Ответить | Правка | Наверх | Cообщить модератору

157. "Qt 6 в Debian может оказаться без сопровождения"  +1 +/
Сообщение от Аноним (154), 19-Авг-20, 21:12 
зачем под рутом?
Ответить | Правка | Наверх | Cообщить модератору

210. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Аноним (209), 20-Авг-20, 10:41 
Так выстрел в ногу доя лохов же. Реальные пацаны откобейнивают себе бошку
Ответить | Правка | Наверх | Cообщить модератору

55. "Qt 6 в Debian может оказаться без сопровождения"  +4 +/
Сообщение от Михаил Павлович (?), 19-Авг-20, 14:20 
Да. Давайте откажемся от всех этих пакетных менеджеров, снапов, флатпаков. Будем как в винде софт распространять. Придумаем инсталяторы, будем в них паковать софт вообще со всеми зависимостями, даже GlibC будем ложить, ну а мало ли. А ещё лучше, будем статически всё линковать, компиляторы быстро компилируют.
Ответить | Правка | К родителю #33 | Наверх | Cообщить модератору

64. "Qt 6 в Debian может оказаться без сопровождения"  –2 +/
Сообщение от Аноним (64), 19-Авг-20, 14:48 
До сих пор не понимаю почему так не делается в никсах. Софт который работает только в пределах поддержки дистра не дело.
Ответить | Правка | Наверх | Cообщить модератору

77. "Qt 6 в Debian может оказаться без сопровождения"  –2 +/
Сообщение от Аноним (95), 19-Авг-20, 15:46 
Любая программма это виртуальная машина :)
Ответить | Правка | Наверх | Cообщить модератору

80. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Аноним (76), 19-Авг-20, 15:58 
Потому что любой серьёзный софт тянет сотни зависимостей. По вашей схеме мейнтейнеры каждого такого мегапакета должны заботиться обо всех этих зависимостях. Это на порядки увеличивает сложность поддержки, к тому же ухудшает контроль за качеством — больше вероятность не только сбоев, но и вредоносных изменений. Экосистема Windows (равно как и macOS, *BSD и т.д.) частично выигрывает ещё и за счёт своей единообразности: стабильное API, единый набор системных компонентов. В Linux этой роскоши нет.
Ответить | Правка | К родителю #64 | Наверх | Cообщить модератору

178. "Qt 6 в Debian может оказаться без сопровождения"  +1 +/
Сообщение от Аноним (138), 20-Авг-20, 00:17 
> стабильное API, единый набор

Ну вот и что мешает кутятницам всё это сделать? Почему постоянно всё ломают?

Ответить | Правка | Наверх | Cообщить модератору

201. "Qt 6 в Debian может оказаться без сопровождения"  +1 +/
Сообщение от Сишникemail (?), 20-Авг-20, 07:58 
"Серьёзный софт" что под венду, что под мак таскает с собой скомпиленные авторами либы, сабж в т.ч. В линукс же есть парочка своих экосистем (KDE/Gnome), которые включают в себя подавляющее большинство нужных gui прог. Ну а для отщепенцев есть шлакпак.
Ответить | Правка | К родителю #80 | Наверх | Cообщить модератору

92. "Qt 6 в Debian может оказаться без сопровождения"  +2 +/
Сообщение от Аноним (92), 19-Авг-20, 16:42 
Потому, что если в библиотеке находится дыра, то придется обновить все приложения использующие её. Если это дыра в glibc то придётся переустановить всю ОС, а это трафик, процессорное время и ресурс SSD. Разделяемые библиотеки они именно для снижения расходов существуют.
Ответить | Правка | К родителю #64 | Наверх | Cообщить модератору

126. "Qt 6 в Debian может оказаться без сопровождения"  +1 +/
Сообщение от Аноним (115), 19-Авг-20, 18:30 
Делается. Потом разрабов поливают говном за такое.
Ответить | Правка | К родителю #64 | Наверх | Cообщить модератору

243. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Michael Shigorinemail (ok), 23-Авг-20, 14:42 
Потому что подход -- "чтоб работало", а не "впарить и сбежать".
Ответить | Правка | К родителю #64 | Наверх | Cообщить модератору

156. "Qt 6 в Debian может оказаться без сопровождения"  –2 +/
Сообщение от Аноним (154), 19-Авг-20, 21:10 
так есть же уже appimage
Ответить | Правка | К родителю #55 | Наверх | Cообщить модератору

143. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от user (??), 19-Авг-20, 19:43 
Неотключаемые обновления они могут засунуть себе в телевизор.
Ответить | Правка | К родителю #33 | Наверх | Cообщить модератору

42. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от P (?), 19-Авг-20, 13:45 
А что же будет с Kubuntu?
Ответить | Правка | Наверх | Cообщить модератору

46. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Аноним (29), 19-Авг-20, 13:59 
Собственно, при чем тут кубунту?
Ответить | Правка | Наверх | Cообщить модератору

79. "Qt 6 в Debian может оказаться без сопровождения"  +1 +/
Сообщение от Аноним (72), 19-Авг-20, 15:55 
Судя по букве K — там должен быть KDE который на Qt.
Ответить | Правка | Наверх | Cообщить модератору

133. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от P (?), 19-Авг-20, 18:53 
Мг. А сама Убунта основана на Дебиане, отсюда и вопрос.
Ответить | Правка | Наверх | Cообщить модератору

54. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Аноним (54), 19-Авг-20, 14:15 
Надо подсказать мэйнтейнерам из Debian включать в дистрибутив _LTS_ версии Qt. Они же включают предшествующую версию LTS, а потом портируют вручную из LTS. Маразм же.
Ответить | Правка | Наверх | Cообщить модератору

57. "Qt 6 в Debian может оказаться без сопровождения"  +3 +/
Сообщение от Аноним (57), 19-Авг-20, 14:24 
Просто циклы релизов Debian и Qt не совпадают. А обновлять минорную версию Qt в стабильном дистрибутиве - это из области фантастики.

Но для админа локалхоста всегда есть Debian testing, зачем у себя на компе держать stable, непонятно.

Ответить | Правка | Наверх | Cообщить модератору

60. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Alex (??), 19-Авг-20, 14:43 
Хорошая идея, вот только LTS Qt платный, Debian будет сам платить за всех? Если что одна лицензия 4к долларов стоит на Qt. Поэтому мб вы сами задонатите столько денег, чтобы на всех хватило?
Ответить | Правка | К родителю #54 | Наверх | Cообщить модератору

84. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Аноним (84), 19-Авг-20, 16:15 
А разве платные не бинарники? Я думал исходники можно брать и собирать.
Ответить | Правка | Наверх | Cообщить модератору

96. "Qt 6 в Debian может оказаться без сопровождения"  –2 +/
Сообщение от Вкусная водочка (ok), 19-Авг-20, 16:50 
В том-то и проблема, что они и исходники зажимать будут.
Ответить | Правка | Наверх | Cообщить модератору

109. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Аноним (109), 19-Авг-20, 17:33 
Не имеют права зажать больше чем на 12 месяцев. А тормоза в дебиане всё равно больше.
Ответить | Правка | Наверх | Cообщить модератору

119. "Qt 6 в Debian может оказаться без сопровождения"  –1 +/
Сообщение от Вкусная водочка (ok), 19-Авг-20, 18:10 
12 месяцев без секьюрити-патчей - ни один дистр не возьмёт на себя такую ответственность. Здесь в выигрыше только роллинг-дистры, ибо они сразу переходят на новую версию.
Ответить | Правка | Наверх | Cообщить модератору

142. "Qt 6 в Debian может оказаться без сопровождения"  +1 +/
Сообщение от Аноним (142), 19-Авг-20, 19:40 
Qt 5.12 LTS последнее обновление 15 часов назад
Qt 5.15 LTS последнее обновление 9 часов назад
Qt dev последнее обновление 6 часов назад
Посмотрим, что будет после Qt 6
https://code.qt.io/cgit/qt/qt5.git/
Ответить | Правка | К родителю #96 | Наверх | Cообщить модератору

145. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от user (??), 19-Авг-20, 19:47 
Самый свежий из бесплатных, я не понимаю в чём проблема. Для остальных тарболов backports, для гита experimental.
Ответить | Правка | К родителю #60 | Наверх | Cообщить модератору

65. "Qt 6 в Debian может оказаться без сопровождения"  –3 +/
Сообщение от Аноним (64), 19-Авг-20, 14:49 
Единственное что им можно подсказать не использовать это проприетарное гэ с мутной лицензией
Ответить | Правка | К родителю #54 | Наверх | Cообщить модератору

70. "Qt 6 в Debian может оказаться без сопровождения"  –2 +/
Сообщение от Аноним (70), 19-Авг-20, 15:29 
Разрабы бегут из дебиана как крысы с тонущего корабля...
Ответить | Правка | Наверх | Cообщить модератору

71. "Qt 6 в Debian может оказаться без сопровождения"  +5 +/
Сообщение от Sunderland93 (ok), 19-Авг-20, 15:34 
Никто никуда не бежит, новость прочти внимательно. У людей тоже есть личная жизнь, работа. А пакетить таких монстров как Qt- та ещё задачка. Особенно при переносе патчей. Вот если бы объявили Qt5 deprecated сразу после выхода 6 - глядишь они бы и продолжили работать как работали. А так паковать уже 2 суперкомбайна - черезчур.
Ответить | Правка | Наверх | Cообщить модератору

172. "Qt 6 в Debian может оказаться без сопровождения"  –1 +/
Сообщение от Аноним (172), 19-Авг-20, 23:02 
Патчи не так уж и сложно переносить. Скорее проблемы с тем, что новая версия внезапно перестает собираться или - еще хуже - работать под архитектурой вроде mips.
Ответить | Правка | Наверх | Cообщить модератору

253. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от twister_hipster (?), 26-Авг-20, 10:18 
Никому не хочется работать под диктовку шляпы и космонавта, да ещё и за спасибо. Лучше уж тогда в тот же Ред Хат или Каноникал на зарплату пойти.
Ответить | Правка | К родителю #70 | Наверх | Cообщить модератору

74. "Qt 6 в Debian может оказаться без сопровождения"  –1 +/
Сообщение от Аноним (95), 19-Авг-20, 15:43 
Выпускать новые версии QT выгодно только самому Qt Project, потому что они на это заработывают.

Выпуск новых версиий QT не даёт пользы конечному пользователю.

Вообще постоянная разработка софта, это афера придуманная самими пограмистами, чтобы было за что деньги получать.

Программу надо написать один раз, чтобы работала как надо и все.

Вон авторы форка KDE 3.5 TDE Trinity форкнули себе QT. Это самый лучший вариант, что можно придумать.


Ответить | Правка | Наверх | Cообщить модератору

85. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Аноним (84), 19-Авг-20, 16:16 
Давно туда не заглядывали? Они там в QT5 уже поглядывают.
Ответить | Правка | Наверх | Cообщить модератору

94. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Аноним (95), 19-Авг-20, 16:46 
Поглядывать поглядывают, но ещё не перенесли.
Ответить | Правка | Наверх | Cообщить модератору

120. "Qt 6 в Debian может оказаться без сопровождения"  +2 +/
Сообщение от Аноним (45), 19-Авг-20, 18:13 
Погодите, они ещё на Qt 4 не перенесли.
Ответить | Правка | Наверх | Cообщить модератору

88. "Qt 6 в Debian может оказаться без сопровождения"  +1 +/
Сообщение от Lefsha (ok), 19-Авг-20, 16:30 
Товарищ отчасти прав.

В свете сказанного мной ниже мы имеем очевидную проблему.
Программа А версии 1 зависит от библиотеки B начиная с версии 2 до версии 3.
Если вышла новая версия библиотеки B v4, а старые версии помечены как небезопасные,
то уже нет возможности установить программу A пока она не обновится до версии 2, когда совместимость будет восстановлена. Казалось бы какая ерунда.

Проблема заключается в том, что во-первых условная программа зависит часто от минимум дюжины библиотек каждая из которых в свою очередь зависит еще от десятка других.
Во-вторых существует много программ, которые зависят от похожего списка библотек.

И все они развиваются с разной скоростью. Без специальных мер, автоматически через определенное время наступает ситуация, когда одну программу собрать уже нельзя, а другую еще нельзя.
Тоже касается библиотек.

Просто пользователи дистрибутивов с этим редко сталкиваются, так как за них всю работу выполняют
разработчики дистрибутивов.

Для облегчения жизни всех было бы идеально запретить обновлять программы и библиотеки чаще, чем раз в год имея версии с долгой поддержкой, где обновление возможно раз в 3-5 лет.

Но я не знаю ни одних разработчиков библиотек, которые бы с этим согласились.
Это обычно молодые люди, которые по своей наивности уверены, что еще пару изменений
и наступит рай. За это их должны бить линейкой по пальцам более старшие товарищи.

Но таких нет. Тот же Linux слишком часто меняет версии. Хотя для него цикл - 1 версия в 5 лет было бы идеальным подходом. И пользователям приходится самим исправлять ситуацию оставаясь на много версий назад в своих рабочих машинах.

Я бы тут с удовольствием повторил жест Линуса в сторону NVIDIA обращенный к нему самому.

кому нужна эта гонка?

Ответить | Правка | К родителю #74 | Наверх | Cообщить модератору

91. "Qt 6 в Debian может оказаться без сопровождения"  –1 +/
Сообщение от Аноним (95), 19-Авг-20, 16:41 
Я к тому что жить можно, только если дистрибутив с одной средой рабочего стола, напритмер КДЕ, и QT соответствующей версии и сторонние программы пишут основываясь на этих вирсиях.
Допуским Кубунту, какой-то фиксированной версии, для него пишут программы. Вышла новая Кутэ, выпустили новую версию КДЕ и соответственно Кубунту, сторонние разработчики тоже обновились.
А то что мы сейчас имеем это адок.
Ответить | Правка | Наверх | Cообщить модератору

161. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Аноним (154), 19-Авг-20, 21:23 
>наступает ситуация, когда одну программу собрать уже нельзя, а другую еще нельзя.<

держите хоть 5 библиотек

Ответить | Правка | К родителю #88 | Наверх | Cообщить модератору

182. "Qt 6 в Debian может оказаться без сопровождения"  –1 +/
Сообщение от Lefsha (ok), 20-Авг-20, 00:24 
> держите хоть 5 библиотек

казалось бы да... но нет. Их просто не будет в дистрибутиве.
Причем по очень простой причине - их самих будет не собрать
потому как зависимости будут сломаны.

Вы прежде чем комментировать вообще читаете, что пишут?

Вы пытались понять, что пишут?

Вы пытались задать вопросы, если Вы что-то не поняли?

Если ответ на все - нет, то зачем это вброс?


P.S. Если Вы узнаете о новых правилах распространения библиотек
Qt, то там вообще нет вариантов что-то сделать. Но главное не это.
Главное это понять зачем это было сделано. Но для Вас это высший пилотаж.
Даже не пробуйте.

Ответить | Правка | Наверх | Cообщить модератору

257. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Аноним (257), 02-Сен-20, 19:30 
если все так плохо в этой схеме, может пора менять схему, а не изгибаться в 3 слоя?
Ответить | Правка | Наверх | Cообщить модератору

83. "Qt 6 в Debian может оказаться без сопровождения"  +6 +/
Сообщение от Lefsha (ok), 19-Авг-20, 16:08 
На самом деле сопровождение пакетов это действительно большая проблема.
Я не знаю кто и как пишет эти программы, но слишком часто они не собираются без танцев с бубном.

Проблемы по нисходящей следующие:

1. Слишком часто разработчики не тестируют свои же изменения.
Программа элементарно не собирается из-за того что забыли включить
обычный #include <something> причем часто из стандартных библиотек.
Вылеты по ошибке компилляции тоже нередкость.

2. CMAKE. Это почти абсолютное зло. Эта вещь в себе, которая не находит библотеки которые лежат в стандартном пути. Если авторы напортачили с соотвеnствующими файлами .cmake то проблемы будут. Зачем этот ужас придумали понять невозможно.

2.1. Да, возможно будут комментарии, что мол его надо уметь готовить.
Казалось бы логика в этом может быть. Но как быть с фактом, если сами создатели этого cmake и одновременно авторы некоторых других пакетов вроде vtk сами не умеют готовить это поделие, чтобы оно просто компилировало их собственную библиотеку без ошибок! Сборка vtk или paraview от них же это бесконечный танец с бубном. Несовместимость версии 8.2 с gcc10 и переделанный API в версии 9.0, которой уже несовместим с зависимыми приложениями. которые еще не успели отреагировать. И тут мы попадаем в главную проблему

3. Динамические библиотеки. Может когда-то на заре появления компьютеров в этом был смысл. Теперь это одна сплошная проблема.
Нет они не совместимы с разными версиями зависимых от них программ.
Нет никакого удобства поставить себе одну версию одной библиотеки и радоваться. И нет никакой дополнительной безопасности они не несут.
Нельзя обновится но более исправленную версию и не бояться проблем с безопасностью. Слишком часто если не постоянно там происходят несовместимые изменения на уровне API, которые должны иметь отражение в зависимых программах - иначе не будет работать.

Тот же flatpack и подобные пакеты идеальные примеры ущербности концепции динамических библиотек. Просто достаточно взять более сложную программу, чем mkdir. Тот же firefox да и все остальные браузеры поставляются со своими версиями стандартных библиотек, которые лежат в специальном месте отличном от стандартного. Иногда системные библиотеки работают. Но слишком часто - нет.

Эта же проблема касается разных дистрибутивов. Каждый собирает условную библиотеку на свой вкус и включает туда что ему лично кажется нужным или не включает что ему кажется не нужным. Мало того пути инсталляции слишком часто отличаются. Отсюда те самые *.cmake файлы "помогающие" найти библиотеку среди 2х сосен. И главное кто что только не придумывает! И тебе /opt и /usr/local/lib или вообще /usr/fignaydesh/usr/lib64/bin/ итд.


В общем понять разработчкиов Debian несложно. Сложно понять зачем и кто весь этот геморой устроил? Почему нет стандартов и каждый копает свой несовместимый ни с чем огород?


Ответить | Правка | Наверх | Cообщить модератору

112. "Qt 6 в Debian может оказаться без сопровождения"  +2 +/
Сообщение от Аноним (112), 19-Авг-20, 17:52 

> 1. Слишком часто разработчики не тестируют свои же изменения.

Программа элементарно не собирается из-за того что забыли включить
обычный #include <something> причем часто из стандартных библиотек.
Вылеты по ошибке компилляции тоже нередкость.

Разница между объявлением и опредлением функции - основы основ для программистов на С и С++. Если бы ты в жизни написал хотя бы одну программу, то знал бы, что "твоя проблема" возникает, не из-за "недостатка тестирования", а в ситуациях, когда меняются файлы заголовков у библиотек-зависимостей. Qt таким даже на минорных релизах часто грешит, те быстро попадают в репо некоторых дистрибутивов-торопыг (да, да, Арч, не прячь глаза, я про тебя говорю), а разработчики программ, зависящих от Qt, не всегда успевают обновить кодовую базу до последней версии. Исправляются такие "проблемы" элементарно, по возможности сразу в апстриме, да это и не проблемы вовсе, а обычный рабочий процесс разработчиков и сопроводителей программ. Впрочем, в последних, бездельниках, многие незнайки-улучшатели не нуждаются, пока им самим не придется для себя собрать их любимый хеллоуворлд из исходников. Вот тут-то и начинается мамочка-помоги.

> 2. CMAKE. Это почти абсолютное зло. Эта вещь в себе, которая не находит библотеки которые лежат в стандартном пути. Если авторы напортачили с соотвеnствующими файлами .cmake то проблемы будут. Зачем этот ужас придумали понять невозможно.

Плохому танцору и яйца будут мешать. А тем, кто освоил основы компиляции программ, понимает процесс, и GNU make будет полезным и удобным инструментом.

> 3. Динамические библиотеки. Может когда-то на заре появления компьютеров в этом был смысл. Теперь это одна сплошная проблема.

Нет они не совместимы с разными версиями зависимых от них программ.
Нет никакого удобства поставить себе одну версию одной библиотеки и радоваться. И нет никакой дополнительной безопасности они не несут.

Идиоты-менеджеры в IT - ЭТО сплошная проблема. Никто учиться не хочет, лучше ничего не уметь и, хоп, сразу руководить. Скоро код писать некому будет. Хотя с такими руководителями, оно и к лучшему.
Цитату же комментировать не буду по очевидным причинам. Взял в рамочку - повешу в туалете.

--

Вопрос напрашивается сам собой, сколько горе-теоретик сопровождал программ? Может, это ему нужно запретить пользоваться Интернетом и бить линейкой по губам, чтобы молчал о том, в чём не разбирается? Может ему хотя бы на троечку изучить предмет, прежде чем раздавать советы по переустройству мира, так чтобы одному ему было хорошо и удобно, а всё остальное - сломать? Вопрос риторический, можно не отвечать.

Ответить | Правка | Наверх | Cообщить модератору

177. "Qt 6 в Debian может оказаться без сопровождения"  +2 +/
Сообщение от Lefsha (ok), 20-Авг-20, 00:14 
> Разница между объявлением и опредлением функции - основы основ для программистов на С и С++.

Разница между читателем и чукчей писателем - основы для ведения дискуссии на проф. уровне.

Пожалуйста не несите пургу и выучите хотя бы один язык. Прочитайте текст несколько раз
и задавайте вопросы ПО тексту вместо того чтобы нести отсебятину, которая не имеет отношения к вопросу.

> Плохому танцору и яйца будут мешать.

Расскажите это авторам cmake.

> Вопрос напрашивается сам собой, сколько горе-теоретик сопровождал программ?

Я все таки предлагаю выучить русский язык, научится читать и только после этого вступать
в дискуссии!

С Вашим мнением есть элементарная проблема. Оно не имеет ничего общего с моими словами.
Оно не противоречит им, не критикует с любыми аргументами в руках. Оно что называется ортогонально.

Это как на вопрос - сколько градусов ответить - пол шестого.

Подумайте над этим. Прохожие люди не показвают на вас пальцем? Вы не замечали какого-то необычного отношения к своей персоне?

Ответить | Правка | Наверх | Cообщить модератору

158. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Аноним (144), 19-Авг-20, 21:14 
Короче по твоему мнению надо заставить всех разрабов бандлить свои либы, линковать протухшие дырявые версии статически (ну, чтобы мейнтейнеров лишний раз не напрягать, конечно же) и далее по списку. Зачем тогда вообще нужны мейнтейнеры и их дистрибутивы? Пусть все желающие мейнтейнеры объединятся под одним флагом, разрабы будут клепать своё дерьмо как и раньше, все будут счастливы! Разве что все кроме пользователей.
Ответить | Правка | К родителю #83 | Наверх | Cообщить модератору

183. "Qt 6 в Debian может оказаться без сопровождения"  –1 +/
Сообщение от Lefsha (ok), 20-Авг-20, 00:31 
> Короче по твоему мнению надо заставить всех разрабов бандлить свои либы, линковать протухшие дырявые версии статически (ну, чтобы мейнтейнеров лишний раз не напрягать, конечно же) и далее по списку. Зачем тогда вообще нужны мейнтейнеры и их дистрибутивы?

Я не знаю кто Вы и где Вы. Может Вам подарить зеркало? Вы отлично с ним спорите.

У меня только один вопрос. - Зачем Вы отвечаете мне? Причем тут я?

Если Вы не смогли увидеть моего ответа на Ваш вопрос, то обычная практика - задать вопрос
и ждать ответа. Вы не хотите попробовать себя так вести?

Ответить | Правка | Наверх | Cообщить модератору

184. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Аноним (144), 20-Авг-20, 00:34 
Но нет же, именно это ты и написал. Потому и отвечают тебе, логично?
Ответить | Правка | Наверх | Cообщить модератору

189. "Qt 6 в Debian может оказаться без сопровождения"  –3 +/
Сообщение от Lefsha (ok), 20-Авг-20, 01:26 
>Но нет же, именно это ты и написал. Потому и отвечают тебе, логично?

Что именно я написал? Цитату можно?

Мне отвечать логично, когда есть смысл. Даже когда другая точка зрения.
Причем я действительно ответил на данный вопрос в соседнем комментарии.
Но его предпочли не заметить.

Постановка проблемы и ее решение это два разных тезиса и путать их не надо!

Переводя на сегодняшний политический язык. То что Лука приписал себе голоса
и провел нечестные выборы это постановка проблемы.
Предложение с ним расправится это уже предложение решения. Не факт,
что говорящий первое подразумевает второе. Но люди примитивны и по другому мыслить
не способны.


  

Ответить | Правка | Наверх | Cообщить модератору

244. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Michael Shigorinemail (ok), 23-Авг-20, 14:51 
1. У них могла быть элементарно другая версия glibc/libstdc++ под рукой.

2. Ой да...

3. Когда-то может выручить dsohowto, когда-то -- set versions, но с крупными библиотеками и комплексами такое действительно бывает; порой возможно держать несколько параллельных веток библиотек, в т.ч. с заголовками (как вот те же qt3/4/5 нынче), порой это затруднительно.

> И главное кто что только не придумывает

А тут надо вручать уже не dsohowto, а сразу fhs.

> Почему нет стандартов и каждый копает свой несовместимый ни с чем огород?

Стандарты есть в пределах "территорий" -- проектов, сообществ, тех же дистрибутивов.

Во многом выбор дистрибутива и есть выбор набора стандартов.

Ответить | Правка | К родителю #83 | Наверх | Cообщить модератору

113. "Qt 6 в Debian может оказаться без сопровождения"  –1 +/
Сообщение от trdm (ok), 19-Авг-20, 17:55 
Вот не знаю, я для себя и на Qt4 спокойно пишу и все работает.
Ответить | Правка | Наверх | Cообщить модератору

127. "Qt 6 в Debian может оказаться без сопровождения"  –2 +/
Сообщение от Аноним (45), 19-Авг-20, 18:31 
Если только для себя любимого. А то если захочешь опубликовать, то в дистрах Qt 4 и нет уже.
Ответить | Правка | Наверх | Cообщить модератору

245. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Michael Shigorinemail (ok), 23-Авг-20, 14:52 
В альте, например, есть (и худо-бедно поддерживается).  Хотя да, qt4-софт потихоньку уходит из репозитория -- что-то переписывают, что-то ломается при сборке теми же новыми компиляторами или с новыми другими библиотеками и через полгода-год удаляется.
Ответить | Правка | Наверх | Cообщить модератору

117. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Няняняним (?), 19-Авг-20, 18:08 
Qt без сопровождение = дистриб без юзеров, это очень фундаментальная либа
Ответить | Правка | Наверх | Cообщить модератору

128. "Qt 6 в Debian может оказаться без сопровождения"  +1 +/
Сообщение от Аноним (128), 19-Авг-20, 18:33 
рип дебиан. они хоть что-то могут поддерживать или после десятилетия сустемдэ все мейнтейнеры закончились?
Ответить | Правка | Наверх | Cообщить модератору

196. "Qt 6 в Debian может оказаться без сопровождения"  –1 +/
Сообщение от Анонимemail (23), 20-Авг-20, 07:35 
Еще один. Могут они поддерживать и поддерживают. Нужен Qt - вместо того, чтоб ныть, запишись в мэйнтейнеры, узнаешь, какая это простая и безгеморная работа. Особенно, в свободное время.
Ответить | Правка | Наверх | Cообщить модератору

233. "Qt 6 в Debian может оказаться без сопровождения"  +1 +/
Сообщение от Аноним (128), 21-Авг-20, 15:57 
я поддерживаю пакеты в другом дистрибутиве линукса. зачем мне записываться в мейнтейнеры дебиана и поддерживать дистрибутив с сустемдэ?
Ответить | Правка | Наверх | Cообщить модератору

251. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Анонимemail (23), 25-Авг-20, 07:09 
Затем, что сильно много воняешь вместо реальной работы.
Ответить | Правка | Наверх | Cообщить модератору

135. "Qt 6 в Debian может оказаться без сопровождения"  +4 +/
Сообщение от Dmitry Shachnev (ok), 19-Авг-20, 18:57 
Как один из двух текущих мэйнтейнеров Qt 5, считаю что это сугубо внутренний процесс и наверное даже недостойно новости на OpenNet. Qt 6 без сопровождения не останется, просто это новые пакеты и им нужны новые мэйнтейнеры (как и всем новым пакетам).
Ответить | Правка | Наверх | Cообщить модератору

139. "Qt 6 в Debian может оказаться без сопровождения"  –2 +/
Сообщение от Аноним (138), 19-Авг-20, 19:33 
> без сопровождения не останется, просто это новые пакеты и им нужны новые мэйнтейнеры

"У людей нет хлеба? Ну, пусть тогда едят пирожные!" (с)

Ответить | Правка | Наверх | Cообщить модератору

185. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Андрей (??), 20-Авг-20, 00:40 
> Как один из двух текущих мэйнтейнеров Qt 5

О, замечательно, тогда воспользуюсь случаем и спрошу насчёт:

> Qt имеет очень большой объём кода, для сопровождения которого требуется много времени и ресурсов для сборки

У qt множество пакетов. Но только 2 из них большие: qtbase-opensource-src и qtwebengine-opensource-src. Не знаю, сколько в последнем именно qt, а сколько браузерного движка Blink, развиваемого гуглом.

Архив qtbase-opensource-src занимает 46,7 MB. Сборка для самой популярной платформы amd64 согласно https://buildd.debian.org/status/logs.php?pkg=qtbase-opensou... занимает где-то 34 мин. ... 1 час 18 мин.

Для сравнения архивы Firefox и Chromium занимают в несколько раз больше. Сборка Chromium длится и 16 часов. Из-за ошибок безопасности, надо быстро реагировать. С наборами компиляторов gcc, llvm аналогично. Причём поддерживаются несколько версий одновременно. Компилятор для одного единственного языка программирования Rust собирается несколько часов!!! LibreOffice обновляется часто, архив большой, собирается тоже часами. На этом фоне поддержка qt выглядит заметно проще. И это только в сравнении с пакетами, который первыми приходят на ум.

Ответить | Правка | К родителю #135 | Наверх | Cообщить модератору

186. "Qt 6 в Debian может оказаться без сопровождения"  +1 +/
Сообщение от Аноним (186), 20-Авг-20, 00:56 
> Архив qtbase-opensource-src занимает 46,7 MB. Сборка для самой популярной платформы amd64
> согласно https://buildd.debian.org/status/logs.php?pkg=qtbase-opensou... занимает
> где-то 34 мин. ... 1 час 18 мин.
> Сборка Chromium длится и 16 часов.
> LibreOffice обновляется часто, архив большой, собирается тоже часами.

На чём они их собирают, интересно? На 6-ядерном 2-ГГц Phenom 2010 года Хромиум собирается меньше часа, а Qt — несколько минут. На свопящемся 15-летнем Athlon 64?

Ответить | Правка | Наверх | Cообщить модератору

187. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Андрей (??), 20-Авг-20, 01:17 
Мне вот тоже интересно, где Debian публикует технические характеристики сборочных машин. В данном случае речь идёт о "x86-csail-01".
Ответить | Правка | Наверх | Cообщить модератору

188. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Андрей (??), 20-Авг-20, 01:19 
https://db.debian.org/machines.cgi?host=x86-csail-01 Тут инфы нет.
Ответить | Правка | Наверх | Cообщить модератору

211. "Qt 6 в Debian может оказаться без сопровождения"  +3 +/
Сообщение от Dmitry Shachnev (ok), 20-Авг-20, 10:52 
Да, но во-первых у меня самого железо более слабое, чем официальные сборочные сервера, а во-вторых, проблемы чаще всего возникают не на amd64, а на менее популярных архитектурах, вроде mips* или s390x. И собирать приходится не один раз, а в несколько итераций.

Скажем, qtwebengine на mipsel собирается больше суток, и его как раз недавно пришлось много патчить, чтобы он по-прежнему собирался без ошибок. Впрочем, в Qt 6 наверное поддержку этой архитектуры вообще удалим.

А ещё надо пересобирать все пакеты, которые зависят от Qt и следить, чтобы они не сломались.

Ответить | Правка | К родителю #185 | Наверх | Cообщить модератору

197. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Анонимemail (23), 20-Авг-20, 07:36 
Единственный адекватный коммент среди всего мусора. Спасибо вам.
Ответить | Правка | К родителю #135 | Наверх | Cообщить модератору

214. "Qt 6 в Debian может оказаться без сопровождения"  –2 +/
Сообщение от Аноним (138), 20-Авг-20, 11:14 
Теперь я спокоен за кутю, ведь её сопровождает аноним Вася Пупкин с опеннетару.
Ответить | Правка | Наверх | Cообщить модератору

227. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Анонимикофф (?), 21-Авг-20, 06:46 
Тебе нужно открыть глаза - во всех некоммерческих дистрибутивах сопровождающие частные лица. Ты даже сопровождающим ядра можешь отправить патч от имени Вася Пупкин с ящика "жена собака жизни точка нет".
Ответить | Правка | Наверх | Cообщить модератору

246. "Qt 6 в Debian может оказаться без сопровождения"  +2 +/
Сообщение от Michael Shigorinemail (ok), 23-Авг-20, 14:53 
Коллега, спасибо за труды.
Ответить | Правка | К родителю #135 | Наверх | Cообщить модератору

147. "Qt 6 в Debian может оказаться без сопровождения"  –3 +/
Сообщение от Аноним (140), 19-Авг-20, 19:53 
Вот бы строгость и качество Qt и простоту и удобство GTK в новом пакете и универсальность под всеми дистрибутивами ну то есть какой-то WinAPI что ли
Ответить | Правка | Наверх | Cообщить модератору

168. "Qt 6 в Debian может оказаться без сопровождения"  +2 +/
Сообщение от Аноним (138), 19-Авг-20, 22:00 
> давно зрели сомнения

созрели сразу, как только перешли на системду.

Ответить | Правка | Наверх | Cообщить модератору

174. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Kuromi (ok), 19-Авг-20, 23:23 
" Отдельно подчёркивается, что качество кода и лицензионная политика Qt Company не связаны с принятым решением."

Ну да, конечно.

Ответить | Правка | Наверх | Cообщить модератору

192. "Qt 6 в Debian может оказаться без сопровождения"  –1 +/
Сообщение от Firecat (ok), 20-Авг-20, 02:24 
Ребят, типа KDE 6 не будет у debian?
Ответить | Правка | Наверх | Cообщить модератору

213. "Qt 6 в Debian может оказаться без сопровождения"  –3 +/
Сообщение от Аноним (138), 20-Авг-20, 11:11 
Лучше забыть вообще про кеды и кутю с их политикой-то.
Ответить | Правка | Наверх | Cообщить модератору

259. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Аноним (258), 12-Окт-20, 01:13 
Эээ… где-то в тредах к прошлой новости написали, что она будет на GTK4
Ответить | Правка | К родителю #192 | Наверх | Cообщить модератору

193. "Qt 6 в Debian может оказаться без сопровождения"  +1 +/
Сообщение от Lefsha (ok), 20-Авг-20, 03:15 
Отличный пример с OpenСascade самой последней версии.

Запускаем со списком параметров:
cmake $ARGS $PATH >> build.log 2>&1

Один из которых -D3RDPARTY_QT_DIR=/usr/lib64

путь действительно редкий. никто не догадается.

Результат - ошибка выполнения.

Открываем cmake-gui $PATH и что же мы видим?

Параметр 3RDPARTY_QT_DIR неопределен.... ну действительно откуда.

ручками вводим /usr/lib64 и прямо в GUI перезапускаем конфигурацию.
И что же мы видим? - Все прекрасно. Полный успех.

Далее запускаем make - опять работает...

Каждый может убедиться на своем опыте.

P.S. Брать здесь - https://github.com/Open-Cascade-SAS/OCCT
это для простоты. можно с ориг сайта. но там не дают доступ без пароля.

P.P.S. у меня тот же скрипт прекрасно работал пару месяцев назад.
А вот теперь нет. И уверен, что еще через пару месяцев наверно опять все будет нормально.
И так ведь каждый раз. Я не говорю, что проблема в Qt. Но ранее с версией Qt4 такой проблемы не было. Кто-то меняет версии как перчатки и другие элементарно за этим не успевают.
Они не пишут еще один редактор или картинко-показатель. Они пишут сложный и объемный программный продукт, в котором по мимо Qt хватает работы. И по хорошему им бы Qt3 хватило за глаза.
Но нет. Скоро будет только Qt6 и все обязаны на него перейти, так как пред. версию быстро удалять со всех репозиториев. В Gentoo несмотря сборку из исходников никаких Qt4 уже давно нет.
Ну разумеется они же протухли.

Ответить | Правка | Наверх | Cообщить модератору

194. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Lefsha (ok), 20-Авг-20, 03:31 
Если кто не понял это были танцы с бубнами very light версии.
Если бы только так все решалось... Хотя все равно неприятно.
Скрипт то не работает и где править не ясно - все ведь верно.
Ответить | Правка | Наверх | Cообщить модератору

225. "Qt 6 в Debian может оказаться без сопровождения"  –6 +/
Сообщение от Аноним (138), 20-Авг-20, 20:11 
Вот поэтому от Qt и стараются отказаться.
Ответить | Правка | К родителю #193 | Наверх | Cообщить модератору

216. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Аноним (216), 20-Авг-20, 12:05 
походу ребята нужно спрыгивать с debian на nixos
Ответить | Правка | Наверх | Cообщить модератору

248. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Michael Shigorinemail (ok), 23-Авг-20, 16:29 
"кто не скачет, тот на альт" :D
Ответить | Правка | Наверх | Cообщить модератору

231. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Zenitur (ok), 21-Авг-20, 14:21 
> Майкл Штапельберг (Michael Stapelberg) объявил о прекращении сопровождения в Debian поддерживаемых им пакетов из-за недовольства текущим состоянием инфраструктуры проекта. ... Штапельберг являлся мэйнтейнером около 170 пакетов ... Претензии к инфраструктуре касаются излишне усложнённого сборочного стека https://michael.stapelberg.ch/posts/2016-11-25-build-tools/

И это так. В Debian 4 и 5 SPEC-файлы были просты и понятны. Сейчас они стали значительно жирнее, чем раньше. Также стало сложнее вносить правки в SPEC-файл. Ты хочешь добавить или удалить параметр ./configure, открываешь ./debian/rules, а там этого нет! Всё раскидано по куче файлов (особенно в таких больших проектах, как Qt5). Или несколько отдельных команд заменили на какой-нибудь dh_autobuild, из-за чего, например, ты хочешь убрать из сборочного процесса команду make tests, а её нет. И даже с новыми сокращалками сборочного процесса, код всё равно пухнет!

Когда в каждом новом релизе SPEC-файлы пухли всё сильнее, было ожидаемо, что однажды самолёт под названием Debian не сможет со всем этим взлететь. Что однажды релизнется какая-нибудь новая программа, которую сложно пакетировать, и никто не захочет писать под неё 200-килобайтный SPEC. У таких пакетов, как Qt, LLVM, Chromium, Mesa, скрипты сборки огромны, а для Qt 6 их явно придётся писать заново, не базируясь на Qt 5.

Ответить | Правка | Наверх | Cообщить модератору

247. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Michael Shigorinemail (ok), 23-Авг-20, 14:58 
> В Debian 4 и 5 SPEC-файлы были просты и понятны

Эээ... ничего, что в демьяне не спеки, а правила? :D
Ну и да, dh_* -- тоже медаль о двух концах.

> для Qt 6 их явно придётся писать заново, не базируясь на Qt 5

Почему?

Ответить | Правка | Наверх | Cообщить модератору

249. "Qt 6 в Debian может оказаться без сопровождения"  +/
Сообщение от Daemon (??), 25-Авг-20, 06:44 
Сейчас 10.5.0 идет на 3 DVD. А будет еще четвертый. С Qt6 :)
Ответить | Правка | Наверх | Cообщить модератору

Архив | Удалить

Рекомендовать для помещения в FAQ | Индекс форумов | Темы | Пред. тема | След. тема




Спонсоры:
Inferno Solutions
Hosting by Hoster.ru
Хостинг:

Закладки на сайте
Проследить за страницей
Created 1996-2020 by Maxim Chirkov
Добавить, Поддержать, Вебмастеру